#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx4_buf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_hwq_res, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_hwq_res, "_gpl", "");
KSYMTAB_FUNC(__mlx4_cmd, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_active_ports, "_gpl", "");
KSYMTAB_FUNC(mlx4_slave_convert_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slave_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport_actv, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_rate, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_slave_default_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_spoofchk, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_config, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_link_state, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_counter_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_smi_enabled, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_get_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_set_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_resize, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_gen_pkey_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_guid_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_port_state_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_get_slave_port_state, "", "");
KSYMTAB_FUNC(set_and_calc_slave_port_state, "", "");
KSYMTAB_FUNC(mlx4_gen_slaves_port_mgt_ev, "", "");
KSYMTAB_FUNC(mlx4_test_async, "", "");
KSYMTAB_FUNC(mlx4_test_interrupt, "", "");
KSYMTAB_FUNC(mlx4_is_eq_vector_valid, "", "");
KSYMTAB_FUNC(mlx4_get_eqs_per_port, "", "");
KSYMTAB_FUNC(mlx4_is_eq_shared, "", "");
KSYMTAB_FUNC(mlx4_get_cpu_rmap, "", "");
KSYMTAB_FUNC(mlx4_assign_eq, "", "");
KSYMTAB_FUNC(mlx4_eq_get_irq, "", "");
KSYMTAB_FUNC(mlx4_release_eq, "", "");
KSYMTAB_FUNC(mlx4_get_slave_pkey_gid_tbl_len, "", "");
KSYMTAB_FUNC(mlx4_INIT_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_CLOSE_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_dev_retrieval, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_vxlan_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_roce_v2_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_query_diag_counters, "", "");
KSYMTAB_FUNC(mlx4_wol_read, "_gpl", "");
KSYMTAB_FUNC(mlx4_wol_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_ACCESS_PTYS_REG, "_gpl", "");
KSYMTAB_FUNC(get_phv_bit, "", "");
KSYMTAB_FUNC(set_phv_bit, "", "");
KSYMTAB_FUNC(mlx4_get_is_vlan_offload_disabled, "", "");
KSYMTAB_FUNC(mlx4_replace_zero_macs, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_PRIO2TC, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_SCHEDULER, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_get, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_set, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_get, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_set, "", "");
KSYMTAB_FUNC(mlx4_register_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_unregister_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_get_devlink_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_parav_qkey, "", "");
KSYMTAB_FUNC(mlx4_sync_pkey_table, "", "");
KSYMTAB_FUNC(mlx4_put_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_get_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_is_slave_active, "", "");
KSYMTAB_FUNC(mlx4_handle_eth_header_mcast_prio, "", "");
KSYMTAB_FUNC(mlx4_queue_bond_work, "", "");
KSYMTAB_FUNC(mlx4_read_clock, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_internal_clock_params, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_default_counter_index, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_mode, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_id, "_gpl", "");
KSYMTAB_FUNC(mlx4_hw_rule_sz, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_tunnel_steer_add, "", "");
KSYMTAB_FUNC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_init, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_addr, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_get_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_write_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_put_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_pd, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_access, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_SYNC_TPT, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_qpn, "_gpl", "");
KSYMTAB_FUNC(__mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_replace_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_gid_ix, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_general, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_qpn_calc, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mtu, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mac, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_fcs_check, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_VXLAN, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_BEACON, "", "");
KSYMTAB_FUNC(mlx4_SET_MCAST_FLTR, "", "");
KSYMTAB_FUNC(mlx4_get_slave_from_roce_gid, "", "");
KSYMTAB_FUNC(mlx4_get_roce_gid_from_slave, "", "");
KSYMTAB_FUNC(mlx4_get_module_info, "", "");
KSYMTAB_FUNC(mlx4_max_tc, "", "");
KSYMTAB_FUNC(mlx4_put_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_reserve_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_release_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_update_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_to_ready, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_arm, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_lookup, "_gpl", "");

SYMBOL_CRC(mlx4_buf_alloc, 0x1fb3658e, "_gpl");
SYMBOL_CRC(mlx4_buf_free, 0xeaabc4e8, "_gpl");
SYMBOL_CRC(mlx4_db_alloc, 0x321bb30b, "_gpl");
SYMBOL_CRC(mlx4_db_free, 0xdc3f7e3c, "_gpl");
SYMBOL_CRC(mlx4_alloc_hwq_res, 0x6b27a478, "_gpl");
SYMBOL_CRC(mlx4_free_hwq_res, 0x10aa3cf0, "_gpl");
SYMBOL_CRC(__mlx4_cmd, 0x1fc638f0, "_gpl");
SYMBOL_CRC(mlx4_alloc_cmd_mailbox, 0xb090ca37, "_gpl");
SYMBOL_CRC(mlx4_free_cmd_mailbox, 0xe8d18b0c, "_gpl");
SYMBOL_CRC(mlx4_get_active_ports, 0x34a3371e, "_gpl");
SYMBOL_CRC(mlx4_slave_convert_port, 0x440a656a, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slave_port, 0xa42529f5, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport, 0x5d16b181, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport_actv, 0x93351f78, "_gpl");
SYMBOL_CRC(mlx4_set_vf_mac, 0xb67c7c6f, "_gpl");
SYMBOL_CRC(mlx4_set_vf_vlan, 0xfcb862ca, "_gpl");
SYMBOL_CRC(mlx4_set_vf_rate, 0xd0d3827f, "_gpl");
SYMBOL_CRC(mlx4_get_slave_default_vlan, 0x6ae541bd, "_gpl");
SYMBOL_CRC(mlx4_set_vf_spoofchk, 0x3e45676d, "_gpl");
SYMBOL_CRC(mlx4_get_vf_config, 0x8ef3e65c, "_gpl");
SYMBOL_CRC(mlx4_set_vf_link_state, 0x96083510, "_gpl");
SYMBOL_CRC(mlx4_get_counter_stats, 0x1b3c7bd4, "_gpl");
SYMBOL_CRC(mlx4_get_vf_stats, 0x0064b484, "_gpl");
SYMBOL_CRC(mlx4_vf_smi_enabled, 0x6793a017, "_gpl");
SYMBOL_CRC(mlx4_vf_get_enable_smi_admin, 0x285c9e3a, "_gpl");
SYMBOL_CRC(mlx4_vf_set_enable_smi_admin, 0xe04e96ba, "_gpl");
SYMBOL_CRC(mlx4_cq_modify, 0xdbdc1ce1, "_gpl");
SYMBOL_CRC(mlx4_cq_resize, 0xaa9c6579, "_gpl");
SYMBOL_CRC(mlx4_cq_alloc, 0x42b6f206, "_gpl");
SYMBOL_CRC(mlx4_cq_free, 0x02ef27c1, "_gpl");
SYMBOL_CRC(mlx4_gen_pkey_eqe, 0x2e166119, "");
SYMBOL_CRC(mlx4_gen_guid_change_eqe, 0xa4a2ee4e, "");
SYMBOL_CRC(mlx4_gen_port_state_change_eqe, 0x27de6777, "");
SYMBOL_CRC(mlx4_get_slave_port_state, 0xdbcd82ac, "");
SYMBOL_CRC(set_and_calc_slave_port_state, 0x4425c36b, "");
SYMBOL_CRC(mlx4_gen_slaves_port_mgt_ev, 0xe64f9c10, "");
SYMBOL_CRC(mlx4_test_async, 0x64408655, "");
SYMBOL_CRC(mlx4_test_interrupt, 0xfc1a9530, "");
SYMBOL_CRC(mlx4_is_eq_vector_valid, 0x8e55eb27, "");
SYMBOL_CRC(mlx4_get_eqs_per_port, 0xf9acfe92, "");
SYMBOL_CRC(mlx4_is_eq_shared, 0x62dce688, "");
SYMBOL_CRC(mlx4_get_cpu_rmap, 0x2b07ef68, "");
SYMBOL_CRC(mlx4_assign_eq, 0xb87d9dc0, "");
SYMBOL_CRC(mlx4_eq_get_irq, 0x4f1421f7, "");
SYMBOL_CRC(mlx4_release_eq, 0x73f89d8d, "");
SYMBOL_CRC(mlx4_get_slave_pkey_gid_tbl_len, 0xae826168, "");
SYMBOL_CRC(mlx4_INIT_PORT, 0x423b5637, "_gpl");
SYMBOL_CRC(mlx4_CLOSE_PORT, 0xb1d55b98, "_gpl");
SYMBOL_CRC(mlx4_config_dev_retrieval, 0x85ee34cb, "_gpl");
SYMBOL_CRC(mlx4_config_vxlan_port, 0x88bd765a, "_gpl");
SYMBOL_CRC(mlx4_config_roce_v2_port, 0x9aa09575, "_gpl");
SYMBOL_CRC(mlx4_query_diag_counters, 0x926db02a, "");
SYMBOL_CRC(mlx4_wol_read, 0xea95b848, "_gpl");
SYMBOL_CRC(mlx4_wol_write, 0x4479cd92, "_gpl");
SYMBOL_CRC(mlx4_ACCESS_PTYS_REG, 0x45f2ce97, "_gpl");
SYMBOL_CRC(get_phv_bit, 0x03dce472, "");
SYMBOL_CRC(set_phv_bit, 0x95038984, "");
SYMBOL_CRC(mlx4_get_is_vlan_offload_disabled, 0x91772e7d, "");
SYMBOL_CRC(mlx4_replace_zero_macs, 0xfdc7c90c, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_PRIO2TC, 0xfc812291, "");
SYMBOL_CRC(mlx4_SET_PORT_SCHEDULER, 0xc6c6c8bf, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_get, 0x5196f267, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_set, 0x9e40f634, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_get, 0x0e0dbc4b, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_set, 0xe212a92e, "");
SYMBOL_CRC(mlx4_register_auxiliary_driver, 0x4bdd3389, "_gpl");
SYMBOL_CRC(mlx4_unregister_auxiliary_driver, 0x474f7366, "_gpl");
SYMBOL_CRC(mlx4_register_event_notifier, 0x1988754b, "");
SYMBOL_CRC(mlx4_unregister_event_notifier, 0xc7565dba, "");
SYMBOL_CRC(mlx4_get_devlink_port, 0x29e6f6ca, "_gpl");
SYMBOL_CRC(mlx4_get_parav_qkey, 0xa4db1e44, "");
SYMBOL_CRC(mlx4_sync_pkey_table, 0x8797cae2, "");
SYMBOL_CRC(mlx4_put_slave_node_guid, 0xa34f538c, "");
SYMBOL_CRC(mlx4_get_slave_node_guid, 0x24653a4b, "");
SYMBOL_CRC(mlx4_is_slave_active, 0x1a60fe04, "");
SYMBOL_CRC(mlx4_handle_eth_header_mcast_prio, 0x7fdde0b4, "");
SYMBOL_CRC(mlx4_queue_bond_work, 0xb1909bd5, "");
SYMBOL_CRC(mlx4_read_clock, 0x9ddd1f47, "_gpl");
SYMBOL_CRC(mlx4_get_internal_clock_params, 0x4cfd417c, "_gpl");
SYMBOL_CRC(mlx4_counter_alloc, 0x01afd5ff, "_gpl");
SYMBOL_CRC(mlx4_counter_free, 0x78a274a7, "_gpl");
SYMBOL_CRC(mlx4_get_default_counter_index, 0x2f4735ec, "_gpl");
SYMBOL_CRC(mlx4_set_admin_guid, 0x83775649, "_gpl");
SYMBOL_CRC(mlx4_get_admin_guid, 0x87d3c7d0, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_mode, 0x1990fa3e, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_id, 0x1d29a7fa, "_gpl");
SYMBOL_CRC(mlx4_hw_rule_sz, 0x89246e18, "_gpl");
SYMBOL_CRC(mlx4_flow_attach, 0x27d3a1c0, "_gpl");
SYMBOL_CRC(mlx4_flow_detach, 0xdd535ea3, "_gpl");
SYMBOL_CRC(mlx4_tunnel_steer_add, 0x8d3bc430, "");
SYMBOL_CRC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, 0x56c2734e, "_gpl");
SYMBOL_CRC(mlx4_multicast_attach, 0x2056f099, "_gpl");
SYMBOL_CRC(mlx4_multicast_detach, 0x31ff3650, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_add, 0xbd700444, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_remove, 0xb8242199, "_gpl");
SYMBOL_CRC(mlx4_unicast_attach, 0x6de7d662, "_gpl");
SYMBOL_CRC(mlx4_unicast_detach, 0x5a84628e, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_add, 0x058841d3, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_remove, 0x37dbae9b, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_add, 0x0ddc8ee7, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_remove, 0x34ddbdb3, "_gpl");
SYMBOL_CRC(mlx4_mtt_init, 0xa3e44ad7, "_gpl");
SYMBOL_CRC(mlx4_mtt_cleanup, 0x71960246, "_gpl");
SYMBOL_CRC(mlx4_mtt_addr, 0x99aae9bd, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_get_mpt, 0x88ed4cd1, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_write_mpt, 0x3c99b3ad, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_put_mpt, 0xd49440be, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_pd, 0x7971acad, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_access, 0x6c61e083, "_gpl");
SYMBOL_CRC(mlx4_mr_alloc, 0x110cfcfb, "_gpl");
SYMBOL_CRC(mlx4_mr_free, 0xee87a80f, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_cleanup, 0xd88674ee, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_write, 0x6bcaeb20, "_gpl");
SYMBOL_CRC(mlx4_mr_enable, 0x53d1617e, "_gpl");
SYMBOL_CRC(mlx4_write_mtt, 0xa3e116db, "_gpl");
SYMBOL_CRC(mlx4_buf_write_mtt, 0x7a2f05af, "_gpl");
SYMBOL_CRC(mlx4_mw_alloc, 0x3c585235, "_gpl");
SYMBOL_CRC(mlx4_mw_enable, 0xb87670e6, "_gpl");
SYMBOL_CRC(mlx4_mw_free, 0x2a37752e, "_gpl");
SYMBOL_CRC(mlx4_SYNC_TPT, 0xe6b97773, "_gpl");
SYMBOL_CRC(mlx4_pd_alloc, 0x897046a4, "_gpl");
SYMBOL_CRC(mlx4_pd_free, 0xcf8bcde9, "_gpl");
SYMBOL_CRC(mlx4_xrcd_alloc, 0x939f90b1, "_gpl");
SYMBOL_CRC(mlx4_xrcd_free, 0xbd59c687, "_gpl");
SYMBOL_CRC(mlx4_uar_alloc, 0x338f6b95, "_gpl");
SYMBOL_CRC(mlx4_uar_free, 0x9e189c8c, "_gpl");
SYMBOL_CRC(mlx4_bf_alloc, 0xade12684, "_gpl");
SYMBOL_CRC(mlx4_bf_free, 0xcdd3e9f5, "_gpl");
SYMBOL_CRC(mlx4_find_cached_mac, 0xbf46880b, "_gpl");
SYMBOL_CRC(__mlx4_register_mac, 0xa91648d7, "_gpl");
SYMBOL_CRC(mlx4_register_mac, 0xdc998ec8, "_gpl");
SYMBOL_CRC(mlx4_get_base_qpn, 0x600f8bd0, "_gpl");
SYMBOL_CRC(__mlx4_unregister_mac, 0x84ab51bc, "_gpl");
SYMBOL_CRC(mlx4_unregister_mac, 0x2d854efb, "_gpl");
SYMBOL_CRC(__mlx4_replace_mac, 0xf28404ed, "_gpl");
SYMBOL_CRC(mlx4_find_cached_vlan, 0x8b272bbf, "_gpl");
SYMBOL_CRC(mlx4_register_vlan, 0xa0658ff3, "_gpl");
SYMBOL_CRC(mlx4_unregister_vlan, 0x1db33b80, "_gpl");
SYMBOL_CRC(mlx4_get_base_gid_ix, 0x192e45e0, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_general, 0x503c4e28, "");
SYMBOL_CRC(mlx4_SET_PORT_qpn_calc, 0x889e556a, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mtu, 0x5a271830, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mac, 0xd7c69602, "");
SYMBOL_CRC(mlx4_SET_PORT_fcs_check, 0x47827743, "");
SYMBOL_CRC(mlx4_SET_PORT_VXLAN, 0x31ddddf9, "");
SYMBOL_CRC(mlx4_SET_PORT_BEACON, 0x221cc6a2, "");
SYMBOL_CRC(mlx4_SET_MCAST_FLTR, 0x83ccca64, "");
SYMBOL_CRC(mlx4_get_slave_from_roce_gid, 0x415bbf82, "");
SYMBOL_CRC(mlx4_get_roce_gid_from_slave, 0x0995e863, "");
SYMBOL_CRC(mlx4_get_module_info, 0xd65eccbc, "");
SYMBOL_CRC(mlx4_max_tc, 0xec0f1f79, "");
SYMBOL_CRC(mlx4_put_qp, 0x18f820ab, "_gpl");
SYMBOL_CRC(mlx4_qp_modify, 0x4059f648, "_gpl");
SYMBOL_CRC(mlx4_qp_reserve_range, 0x99c66895, "_gpl");
SYMBOL_CRC(mlx4_qp_release_range, 0xbd140bd5, "_gpl");
SYMBOL_CRC(mlx4_qp_alloc, 0x28d0da04, "_gpl");
SYMBOL_CRC(mlx4_update_qp, 0x9a86cf39, "_gpl");
SYMBOL_CRC(mlx4_qp_remove, 0x0a5c3777, "_gpl");
SYMBOL_CRC(mlx4_qp_free, 0xefc37403, "_gpl");
SYMBOL_CRC(mlx4_qp_query, 0x8c94f9a2, "_gpl");
SYMBOL_CRC(mlx4_qp_to_ready, 0x5b866051, "_gpl");
SYMBOL_CRC(mlx4_srq_alloc, 0xb3fa3bf4, "_gpl");
SYMBOL_CRC(mlx4_srq_free, 0xb52554e2, "_gpl");
SYMBOL_CRC(mlx4_srq_arm, 0x2bcf4b89, "_gpl");
SYMBOL_CRC(mlx4_srq_query, 0xa2ac38bd, "_gpl");
SYMBOL_CRC(mlx4_srq_lookup, 0x47ed48e4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8105bafe, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x42fff7f2, "pcie_capability_write_word" },
	{ 0xebf5582b, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xda7a53c1, "devl_region_create" },
	{ 0x930bd51e, "devlink_unregister" },
	{ 0x2d935538, "dma_pool_create" },
	{ 0xc333a7f, "radix_tree_insert" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0xb1041455, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xeee4dd60, "auxiliary_device_init" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf47fda9c, "devlink_region_snapshot_id_get" },
	{ 0xfc85f8f9, "devl_lock" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xdef84f9f, "radix_tree_lookup" },
	{ 0x8bded20f, "zpci_load" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x70d5c6ad, "__pci_register_driver" },
	{ 0xd566933c, "up" },
	{ 0xedc03953, "iounmap" },
	{ 0x9c22eb17, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x22509fe4, "param_array_ops" },
	{ 0xebd06da2, "pci_request_regions" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x99250383, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x72b59b9f, "pci_sriov_get_totalvfs" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x6f0a6fd6, "devlink_register" },
	{ 0x3c900977, "devlink_port_type_clear" },
	{ 0x5aa68e6, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x8ce608c, "param_ops_byte" },
	{ 0x6f782180, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x49672828, "node_states" },
	{ 0xb6fe5b21, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x45da9d1e, "pci_read_config_dword" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0x80ebf616, "auxiliary_driver_unregister" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x14a0f004, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x21533d8e, "priv_to_devlink" },
	{ 0xc53ba24f, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xd65196f1, "put_device" },
	{ 0x2198f577, "pci_enable_msix_range" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa91c42f1, "kmalloc_node_trace" },
	{ 0xc909141e, "__free_pages" },
	{ 0xcd3bc80e, "_dev_info" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x800473f, "__cond_resched" },
	{ 0xa4847ad, "device_create_file" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x6972e413, "__bitmap_weight_and" },
	{ 0xf1d992eb, "radix_tree_delete" },
	{ 0x8b561113, "__dma_sync_single_for_cpu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xc78dfefd, "__irq_apply_affinity_hint" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xef143e8e, "_dev_err" },
	{ 0x3b829d7, "init_net" },
	{ 0xd2510a63, "up_write" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc2a113a, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0x3d52f7c8, "__auxiliary_device_add" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x81b433f2, "down" },
	{ 0xf7094c7d, "devl_port_register_with_ops" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x7e93cddc, "dma_alloc_attrs" },
	{ 0x4facaaf1, "pci_read_config_word" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x2a730419, "devl_params_register" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xa362d140, "pci_restore_state" },
	{ 0x435dd3b, "device_del" },
	{ 0xae2c82b2, "devl_param_driverinit_value_set" },
	{ 0x22fa68b3, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8bad4ff4, "pgprot_writecombine" },
	{ 0x9236eeee, "__alloc_pages" },
	{ 0x9df21142, "pci_set_master" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x65a7a23, "atomic_notifier_call_chain" },
	{ 0x449c95b9, "devl_params_unregister" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x103bafd6, "down_read" },
	{ 0x4c429993, "devl_unlock" },
	{ 0xe798236d, "jiffies" },
	{ 0xa4d67492, "dma_set_coherent_mask" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x5321948f, "dma_free_attrs" },
	{ 0xb1b1c93e, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xbc0d9f17, "param_ops_bool" },
	{ 0xc84f4f47, "pci_release_regions" },
	{ 0xa6adda2c, "__dma_sync_single_for_device" },
	{ 0x8279186a, "devl_assert_locked" },
	{ 0x51db8344, "pcie_print_link_status" },
	{ 0x44cd4064, "alloc_pages" },
	{ 0x65d32d16, "devl_port_unregister" },
	{ 0xb5fc284f, "devl_param_driverinit_value_get" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xfee247f8, "devlink_priv" },
	{ 0xec4ec0e9, "pci_disable_sriov" },
	{ 0x1e299de9, "pci_disable_msix" },
	{ 0x60479f49, "pci_disable_device" },
	{ 0xe9502e1a, "dev_printk" },
	{ 0xdb7fab25, "dma_set_mask" },
	{ 0xd5f748bf, "__auxiliary_driver_register" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x4f44028d, "dma_unmap_sg_attrs" },
	{ 0x66c6e87e, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x64e956a0, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x89a09837, "ioremap_prot" },
	{ 0x799673f0, "pci_enable_sriov" },
	{ 0x555ccb97, "up_read" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xb4d4d47b, "pci_write_config_dword" },
	{ 0x1377c04b, "kmalloc_caches" },
	{ 0x47454ed6, "device_remove_file" },
	{ 0x155fa255, "dma_map_sg_attrs" },
	{ 0xe1697cb6, "devl_param_value_changed" },
	{ 0x92639d5f, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015B3d00001003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001010sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "8A586B3738EC4CE53A82327");
MODULE_INFO(rhelversion, "9.7");
