#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__traceiter_fl_getdevinfo, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0x6c8c55a0, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0x975e1671, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0xb451ba1e, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0xa0c692f3, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0x3a391cfc, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0x0fe7cfae, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0x92a54b0f, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0xd4db677f, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0x7645496a, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0xe9830bf0, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0x2cc8e526, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0xccb7d42c, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0xc3331772, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0x1fca5c58, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0x51bff095, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0x5d3b26fa, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0xede41327, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0x27ed42da, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0xc7a9d954, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0x9a1a74c3, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0xc5718436, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0x533c198f, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0xeae8522f, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0xa7ba0447, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x5a4314e9, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0xd0ecfaad, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0xba7463c5, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0xba53a1ef, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0x974a1614, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0x1ddb44f3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0x0ff289f3, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0x0f01076e, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0xc36c58c2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x7cd013a8, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0x82409884, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0x69dc2531, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0x7a4e7f4e, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0x5ce462a3, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0xb36021ed, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0x27ad47ea, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0xcf29b95f, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0x9cf7af96, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0x579126b8, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0xe19f5ee0, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0xd90adb15, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0xdf6991a4, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0x0aebca68, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0xee863b81, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0x785c06ab, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x32bb6e05, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0xe9c5ef76, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0x30a44ac3, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0x7ab7bcc6, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0x8dfb4903, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x08b2c467, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg, 0x2069ac1b, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg, 0x7ba86688, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg, 0x02884be0, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg_err, 0xff07ac0d, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg_err, 0x4db7ebf7, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg_err, 0x90c878c7, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg, 0x5d1e2248, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg, 0x7642f2a7, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg, 0x94384f04, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg_err, 0x83ded87b, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg_err, 0x175ff8f1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg_err, 0x33759ebd, "_gpl");
SYMBOL_CRC(__tracepoint_fl_getdevinfo, 0xad99458e, "_gpl");
SYMBOL_CRC(__traceiter_fl_getdevinfo, 0x2ba7a280, "_gpl");
SYMBOL_CRC(__SCK__tp_func_fl_getdevinfo, 0x8f78a275, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0x8e2b67a9, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0x32c2e39d, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0x3782950a, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0x476ae5d6, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0x03385b74, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0xd2d1a45a, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0x6c6f0ab9, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0x13e163ff, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0xc5a6a760, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0xc85eff0b, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0x7dfe34f5, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0xc593d951, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0x9cd32d8a, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0xc128d935, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0x510f4d21, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0xccc6b273, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0xd0780761, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0x831cdc56, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0xed82aa57, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0xaaf88fb3, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0x8de2d30f, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0x4441b877, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0xe5709ccf, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0x64a6763b, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0xdb2ad5b8, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0x75ac7e7f, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0x50ab01ea, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0xc758dce2, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0xd2ce3cda, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0xe3afe06b, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0xbb292ee2, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0x7209d68b, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0xf4a04c65, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0x1baa347f, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0x87f9b65e, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0xabf71f10, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0xba3118c1, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0xc5260f10, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0x1394264b, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0xeffc2970, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0x6e212f5f, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0x8108deb6, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0xcd2599c4, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0x52153c1c, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0xbcef38f8, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0x6017c768, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0xe0788745, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0x3b3cd75b, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0xc0b67141, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcd0e19c, "rpc_put_task" },
	{ 0xf4956d4e, "generic_copy_file_range" },
	{ 0x962887e6, "svc_generic_rpcbind_set" },
	{ 0x488e9c69, "nfs_clone_server" },
	{ 0xa01879f2, "nfs_access_add_cache" },
	{ 0x8b1b6ff9, "filemap_fdatawrite" },
	{ 0x75b0b4c1, "nfs_show_stats" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x1d804a89, "nfs_server_remove_lists" },
	{ 0xcba04cae, "nfs42_ssc_unregister" },
	{ 0x1af83946, "generic_listxattr" },
	{ 0x24127f8b, "try_module_get" },
	{ 0x54ae7a21, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xebf5582b, "vmemmap" },
	{ 0xc7380406, "nfs_writeback_update_inode" },
	{ 0xbeca5efa, "clear_inode" },
	{ 0xa873b086, "inode_to_bdi" },
	{ 0xf66ce49, "bpf_trace_run4" },
	{ 0x8bcadaea, "user_destroy" },
	{ 0x3761d215, "idr_find" },
	{ 0xc87f7937, "param_ops_uint" },
	{ 0xf919fba5, "user_revoke" },
	{ 0xe8d29bc7, "d_exact_alias" },
	{ 0xf4593f8f, "nfs_alloc_client" },
	{ 0xb06598dc, "register_sysctl" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0xdb554b1a, "nfs_mark_client_ready" },
	{ 0x1c057bb6, "rpc_clnt_probe_trunked_xprts" },
	{ 0x24f1a9ac, "nfs_pageio_reset_read_mds" },
	{ 0x32dece26, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0xeabeef59, "rpc_shutdown_client" },
	{ 0xb89f6ab9, "svc_bind" },
	{ 0x950413b8, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0x29c306a6, "nfs_free_inode" },
	{ 0x9b7350dc, "nfs_access_zap_cache" },
	{ 0xbb249f13, "nfs_sb_deactive" },
	{ 0x6f8ddced, "nfs_wb_all" },
	{ 0xf8104bda, "generic_file_splice_read" },
	{ 0xed11444f, "__break_lease" },
	{ 0x9ca9b975, "nfs_pageio_init_write" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xaee7ac7b, "svc_recv" },
	{ 0x5fb51625, "nfs_drop_inode" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0x60132fed, "xdr_inline_decode" },
	{ 0x922b762f, "nfs_pageio_init_read" },
	{ 0x99fe1ec2, "trace_raw_output_prep" },
	{ 0xe0e5a79e, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xe7c90126, "nfs_init_commit" },
	{ 0xa35bb430, "nfs_commitdata_release" },
	{ 0xf04c6b29, "bpf_trace_run6" },
	{ 0x68a0c9c1, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0xa8227ff3, "rpc_net_ns" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x1bfdc496, "nfs_mknod" },
	{ 0xf35d466c, "nfs_inode_attach_open_context" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xd1a326db, "nfs4_label_alloc" },
	{ 0x9d6ddd7c, "rpc_localaddr" },
	{ 0x5e45efdb, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x9effa801, "trace_event_printf" },
	{ 0xdf07f676, "nfs_access_get_cached" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x8d0fd4ef, "idr_replace" },
	{ 0x8d78945b, "nfs_lock" },
	{ 0x51dbcdd9, "unregister_key_type" },
	{ 0x55a68ea8, "nfs_client_init_is_complete" },
	{ 0xfbf9c4c9, "register_shrinker" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x87848cec, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0xba758756, "trace_event_raw_init" },
	{ 0x95a49194, "user_preparse" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x2a8ea06a, "ihold" },
	{ 0x28e85ec0, "truncate_pagecache_range" },
	{ 0x67f4e2ff, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0x7f0d923a, "invalidate_inode_pages2_range" },
	{ 0xaf1910ad, "nfs_post_op_update_inode" },
	{ 0x8868236b, "svc_exit_thread" },
	{ 0x5b0f134b, "iput" },
	{ 0xd6d20bdb, "xdr_set_pagelen" },
	{ 0x91aa26a2, "nfs_pgio_header_free" },
	{ 0x3e37c646, "nfs_request_add_commit_list_locked" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xa603631c, "logfc" },
	{ 0x125fd34a, "nfs_pgio_header_alloc" },
	{ 0x1a931900, "iter_file_splice_write" },
	{ 0x7476c1dc, "rpc_pton" },
	{ 0xf789e397, "nfs_sb_active" },
	{ 0x38068798, "mod_node_page_state" },
	{ 0x9472e08a, "rpc_ntop" },
	{ 0xeebdaf9, "rpc_wake_up_queued_task" },
	{ 0x7a826a9b, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xf3cc0a42, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0x15e748ae, "rpc_restart_call_prepare" },
	{ 0x7600b430, "event_triggers_call" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xb7f9e1a7, "_copy_from_pages" },
	{ 0x7141202b, "__module_get" },
	{ 0x4567969, "kmem_cache_create" },
	{ 0x790e7489, "rpc_task_release_transport" },
	{ 0x42e9548d, "xdr_page_pos" },
	{ 0x68fca00a, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x65a6fff4, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x77ed7894, "key_instantiate_and_link" },
	{ 0xa2fc75e7, "trace_print_hex_seq" },
	{ 0x4dda726b, "match_strlcpy" },
	{ 0xc516a461, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xb09b388e, "register_key_type" },
	{ 0xe50c9a55, "rpc_sleep_on" },
	{ 0x4456ff15, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x4a36a356, "nfs_pageio_resend" },
	{ 0xab1ceea4, "keyring_alloc" },
	{ 0xef5ea9ed, "vfs_setpos" },
	{ 0x598ab2da, "nfs_create" },
	{ 0x74d21842, "complete_request_key" },
	{ 0x2a83fc24, "__put_cred" },
	{ 0x4ed659ce, "nfs_update_delegated_mtime" },
	{ 0xc8ab568c, "nfs_statfs" },
	{ 0xc688ccf9, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xd06af764, "rpc_max_bc_payload" },
	{ 0xa4f91025, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0x3fbb2a5b, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0xb5d4198c, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x37bb9949, "nfs_mkdir" },
	{ 0xb78ad3c8, "nfs_revalidate_inode" },
	{ 0x68375d5, "inode_newsize_ok" },
	{ 0xc1655cd9, "nfs_file_mmap" },
	{ 0x12ba9c8a, "nfs_get_lock_context" },
	{ 0x2adc03b, "d_drop" },
	{ 0x92997ed8, "_printk" },
	{ 0x13eb01c7, "nfs_set_cache_invalid" },
	{ 0xdc79ea68, "rpc_release_client" },
	{ 0x812e19ef, "rpc_clnt_manage_trunked_xprts" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x920c6c5f, "xdr_enter_page" },
	{ 0x6086faf9, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x67ce597c, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x938bc9a6, "trace_event_ignore_this_pid" },
	{ 0xc50e1868, "nfs_generic_pgio" },
	{ 0xbf09c92b, "make_kuid" },
	{ 0xdc3b86c4, "truncate_inode_pages_final" },
	{ 0x66f5349e, "generic_setlease" },
	{ 0xe0d1dc2f, "xprt_destroy_backchannel" },
	{ 0xaf8c1b2e, "rpc_switch_client_transport" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x90117a55, "nfs_scan_commit_list" },
	{ 0xe2475575, "xdr_stream_decode_string_dup" },
	{ 0xa06b6caa, "nfs_commit_inode" },
	{ 0xe9c52eae, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0x57bf7ab7, "unregister_shrinker" },
	{ 0xea6426ed, "rpc_destroy_pipe_data" },
	{ 0xe0c1bc55, "nfs_get_client" },
	{ 0xc909141e, "__free_pages" },
	{ 0x13bc43d, "kmem_cache_alloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xa6b8319c, "nfs_atomic_open" },
	{ 0x2a24a012, "rpc_pipe_generic_upcall" },
	{ 0x5810f6f9, "nfs_file_fsync" },
	{ 0x4ac93673, "module_put" },
	{ 0x45f17fb6, "__var_waitqueue" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xce7ec9eb, "mntput" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xa768d90e, "nfs_put_lock_context" },
	{ 0x99eb44bc, "nfs_rename" },
	{ 0x8b99aba9, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x1d841fe8, "nfs_sysfs_link_rpc_client" },
	{ 0xad78b203, "nfs_put_client" },
	{ 0x5ea31004, "arch_spin_trylock_retry" },
	{ 0x147d746, "nfs_show_options" },
	{ 0x7ca0cb5f, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0x3243fc7a, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xab24ec92, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x82182eeb, "get_nfs_open_context" },
	{ 0x4e4d6380, "perf_trace_run_bpf_submit" },
	{ 0x49fc575, "nfs_clear_verifier_delegated" },
	{ 0xf8935256, "nfs_sysfs_add_server" },
	{ 0xdea4fefc, "fput" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x8ce90727, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0x3975b9a2, "nfs_do_submount" },
	{ 0x303c3e1c, "vfs_dup_fs_context" },
	{ 0xd2510a63, "up_write" },
	{ 0x6ccc34dd, "sort" },
	{ 0xa8af239b, "request_key_with_auxdata" },
	{ 0x103df51b, "rpc_clone_client_set_auth" },
	{ 0x492de5f1, "rpc_clone_client" },
	{ 0x4f1a13f2, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0xb97dd70f, "nfs_client_init_status" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x1195b8ce, "svc_rpcb_cleanup" },
	{ 0x4dea1053, "memchr" },
	{ 0x39a0ff19, "user_describe" },
	{ 0x5db26d7f, "put_fs_context" },
	{ 0xb8ad57c8, "nfs_retry_commit" },
	{ 0x5b9da275, "nfs4_dentry_operations" },
	{ 0x99dd38a2, "__module_put_and_kthread_exit" },
	{ 0xf6358bb3, "rpc_peeraddr2str" },
	{ 0xe8ba125d, "kmemdup_nul" },
	{ 0xd29c1532, "nfs_client_for_each_server" },
	{ 0xdb604a00, "nfs_clear_inode" },
	{ 0x9cffb0e0, "rpc_sleep_on_priority" },
	{ 0xc18ed286, "nfs_invalidate_atime" },
	{ 0xa95ab0ea, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0x656fb69, "nfs_umount_begin" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0xaf2791f6, "nfs_getattr" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x6d204e80, "nfs_pageio_reset_write_mds" },
	{ 0x5d9c5da9, "kmem_cache_free" },
	{ 0x22fbc758, "nfs_generic_pg_test" },
	{ 0x85abc85f, "strncmp" },
	{ 0x1e1f77c4, "xdr_stream_subsegment" },
	{ 0x7783b16c, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0xf996c50, "nfs_fscache_open_file" },
	{ 0x492d1ed0, "from_kgid" },
	{ 0xd3c93fd9, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xbd6f8759, "nfs_write_inode" },
	{ 0x9ddb3f99, "nfs_request_remove_commit_list" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x6f53043d, "wait_for_completion_interruptible" },
	{ 0x61bcadee, "rpc_wake_up_first" },
	{ 0x54d78392, "alloc_nfs_open_context" },
	{ 0x459550c9, "list_lru_add_obj" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xc055af88, "vfs_parse_fs_param" },
	{ 0x6aac27f4, "nfs_path" },
	{ 0x78b6fd2, "rpc_sleep_on_priority_timeout" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x9f1e221f, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x69cc6645, "nfs_create_rpc_client" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xb68809f1, "register_nfs_version" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x5fe9e5d8, "rpc_sleep_on_timeout" },
	{ 0x16b01d81, "list_lru_count_one" },
	{ 0x8bb8c8bf, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x14f59ae4, "rpc_call_start" },
	{ 0x1bc606c, "xprt_setup_backchannel" },
	{ 0x2178f881, "bpf_trace_run1" },
	{ 0x408cf7fa, "svc_create" },
	{ 0xeb5838b1, "rpc_clnt_iterate_for_each_xprt" },
	{ 0xbe89fbfb, "nfs_file_set_open_context" },
	{ 0x58494a59, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0x3552052b, "rpc_call_sync" },
	{ 0x3711b746, "from_kuid" },
	{ 0x8b62d7cc, "rpc_put_task_async" },
	{ 0xb0b4ef66, "rpc_prepare_reply_pages" },
	{ 0x25e09b7b, "rpc_queue_upcall" },
	{ 0xce9ef0c2, "nfs_free_server" },
	{ 0xd0d82aac, "fc_mount" },
	{ 0xdc86e721, "nfs_setattr" },
	{ 0xa2d2f47d, "xdr_terminate_string" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x34142f08, "nfs4_fs_type" },
	{ 0x1cd32b8e, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0xfd240921, "rpc_delay" },
	{ 0x14e57894, "nfs_flock" },
	{ 0x3e952ee4, "__list_lru_init" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x996fc127, "svc_generic_init_request" },
	{ 0xb5d3119d, "_atomic_dec_and_lock" },
	{ 0xd7bee8a3, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0xa64861af, "rpc_exit" },
	{ 0xe89e6d0c, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x55883e62, "rpc_remove_pipe_dir_object" },
	{ 0x2fb92bc4, "nfs_may_open" },
	{ 0x33e3c63e, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0xe61bfec5, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0x103bafd6, "down_read" },
	{ 0x44ca47d4, "xdr_reserve_space" },
	{ 0x64ba64e6, "rpcauth_lookupcred" },
	{ 0xe798236d, "jiffies" },
	{ 0x3b7c5d06, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3a8993d8, "nfs_rmdir" },
	{ 0xee3edee5, "bpf_trace_run3" },
	{ 0x6a1d5ac0, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x85d14264, "trace_print_flags_seq" },
	{ 0xdaff384, "nfs_filemap_write_and_wait_range" },
	{ 0x8d268c09, "rpc_mkpipe_dentry" },
	{ 0xa26539b2, "alloc_file_pseudo" },
	{ 0x6a5c9314, "rpc_mkpipe_data" },
	{ 0xb39fc2e6, "rpc_add_pipe_dir_object" },
	{ 0xe1eae3e9, "igrab" },
	{ 0x55ee013, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7b088cc2, "nfs_async_iocounter_wait" },
	{ 0x9227807b, "nfs_file_read" },
	{ 0x21c0017, "trace_event_buffer_reserve" },
	{ 0xf3161984, "nfs_alloc_fattr_with_label" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xfc00250b, "filemap_fdatawait_range" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0xdaf4b656, "nfs_commitdata_alloc" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x81796a0e, "nfs_setattr_update_inode" },
	{ 0x265881b7, "nfs_instantiate" },
	{ 0x14681024, "init_user_ns" },
	{ 0xf04eaf02, "rpc_uaddr2sockaddr" },
	{ 0x5adc92e6, "user_read" },
	{ 0x4992532a, "rpc_restart_call" },
	{ 0xb13a8622, "request_key_tag" },
	{ 0xefebe144, "xprt_force_disconnect" },
	{ 0x45c04efa, "user_free_preparse" },
	{ 0x44cd4064, "alloc_pages" },
	{ 0x37d7db3e, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0x1adc91c4, "svc_xprt_destroy_all" },
	{ 0xa8873b8a, "generic_key_instantiate" },
	{ 0x21c2b565, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0xf45f2df2, "nfs_link" },
	{ 0xe05b9a6a, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1356045e, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x9a44ea25, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0x961b6515, "dput" },
	{ 0x92a16af7, "lockref_get" },
	{ 0x4847af87, "rpc_init_wait_queue" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x36aa70e2, "xdr_stream_move_subsegment" },
	{ 0xfe2f9aca, "put_rpccred" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0xf73200d9, "nfs_post_op_update_inode_force_wcc" },
	{ 0xb18f4749, "nfs_pgheader_init" },
	{ 0x75ae69a, "put_nfs_open_context" },
	{ 0x7e68488, "nfs_show_path" },
	{ 0xcb9934a0, "nfs_show_devname" },
	{ 0x787355bc, "nfs_permission" },
	{ 0x9c72c56a, "nfs_initiate_commit" },
	{ 0x95726ae5, "truncate_inode_pages_range" },
	{ 0x8ff585b5, "__put_user_ns" },
	{ 0x8a34ae0f, "cred_fscmp" },
	{ 0xc5b3e4b9, "rpc_unlink" },
	{ 0x9c8432ee, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xd93dd3c3, "proc_dointvec" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x662c952c, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0x29cb34d2, "node_data" },
	{ 0xa65ad424, "nfs_probe_server" },
	{ 0xb8a5f262, "nfs_setsecurity" },
	{ 0xeaeb41f0, "rpc_clnt_xprt_switch_has_addr" },
	{ 0xd7edb90f, "rpc_clnt_test_and_add_xprt" },
	{ 0x1c8c5c39, "file_ra_state_init" },
	{ 0x823f6248, "nfs_force_lookup_revalidate" },
	{ 0xcd74f227, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x465adbbb, "rpc_clnt_add_xprt" },
	{ 0xe61955e, "dget_parent" },
	{ 0xed64efe, "from_kuid_munged" },
	{ 0x5e96204a, "prepare_kernel_cred" },
	{ 0x66c6e87e, "kmalloc_trace" },
	{ 0xf6a84e9, "nfs_alloc_server" },
	{ 0x8ac6ac03, "rpc_call_async" },
	{ 0x18fa6415, "security_dentry_init_security" },
	{ 0xef66ebc2, "filemap_write_and_wait_range" },
	{ 0x43d91aee, "list_lru_del_obj" },
	{ 0x5e623289, "nfs_server_insert_lists" },
	{ 0xcae69b17, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x63d6a72d, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xd9ebd795, "rpc_init_pipe_dir_object" },
	{ 0x26570b1e, "bpf_trace_run7" },
	{ 0x2e5fc539, "nfs_refresh_inode" },
	{ 0xd88dbbf4, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0xc6c8b8f1, "nfs_access_set_mask" },
	{ 0xe2d14185, "nfs_init_server_rpcclient" },
	{ 0x3af62567, "__mark_inode_dirty" },
	{ 0xa0efe055, "rpc_set_connect_timeout" },
	{ 0xf9e2bf03, "rpcauth_create" },
	{ 0x2b290ae3, "xdr_stream_pos" },
	{ 0xf8627418, "key_set_timeout" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0xeb855706, "svc_xprt_create" },
	{ 0x5af5275e, "nfs42_ssc_register" },
	{ 0xbfec9e8c, "rpc_wait_for_completion_task" },
	{ 0x312bd30e, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x756798cf, "rpc_num_bc_slots" },
	{ 0x91d927a5, "nfs_alloc_inode" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xbeb02308, "rpc_destroy_wait_queue" },
	{ 0x1377c04b, "kmalloc_caches" },
	{ 0xb4afd2c0, "security_inode_listsecurity" },
	{ 0xe56c7380, "nfs_fhget" },
	{ 0xa49db34c, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xdd63035f, "locks_copy_lock" },
	{ 0x94720c56, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0x5d346f27, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x93d5e207, "nfs_set_verifier" },
	{ 0xc84fddf6, "proc_dointvec_minmax" },
	{ 0x92639d5f, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "2F401B24294ABB2751EF59D");
MODULE_INFO(rhelversion, "9.7");
