#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ieee802154_alloc_hw, "", "");
KSYMTAB_FUNC(ieee802154_free_hw, "", "");
KSYMTAB_FUNC(ieee802154_register_hw, "", "");
KSYMTAB_FUNC(ieee802154_unregister_hw, "", "");
KSYMTAB_FUNC(ieee802154_rx_irqsafe, "", "");
KSYMTAB_FUNC(ieee802154_wake_queue, "", "");
KSYMTAB_FUNC(ieee802154_stop_queue, "", "");
KSYMTAB_FUNC(ieee802154_xmit_complete, "", "");

SYMBOL_CRC(ieee802154_alloc_hw, 0x42d917bf, "");
SYMBOL_CRC(ieee802154_free_hw, 0xdf681885, "");
SYMBOL_CRC(ieee802154_register_hw, 0x81edfcb6, "");
SYMBOL_CRC(ieee802154_unregister_hw, 0x91f84e62, "");
SYMBOL_CRC(ieee802154_rx_irqsafe, 0x49251fe4, "");
SYMBOL_CRC(ieee802154_wake_queue, 0x40cf03b2, "");
SYMBOL_CRC(ieee802154_stop_queue, 0xbb376412, "");
SYMBOL_CRC(ieee802154_xmit_complete, 0x57b25f88, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1e816c77, "crypto_skcipher_encrypt" },
	{ 0xbc82b3dd, "ieee802154_max_payload" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xf66ce49, "bpf_trace_run4" },
	{ 0x60365ed1, "skb_put" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x6b4becca, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x99fe1ec2, "trace_raw_output_prep" },
	{ 0x3800bea7, "skb_dequeue" },
	{ 0x9effa801, "trace_event_printf" },
	{ 0xf76c02e8, "hrtimer_init" },
	{ 0x7518fb37, "dev_alloc_name" },
	{ 0xba758756, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x64f91a17, "crypto_alloc_aead" },
	{ 0x7a826a9b, "bpf_trace_run2" },
	{ 0x86773c78, "netdev_warn" },
	{ 0xd686e170, "crypto_aead_setauthsize" },
	{ 0x36573965, "crypto_aead_decrypt" },
	{ 0x7600b430, "event_triggers_call" },
	{ 0x7e821ba1, "crc_ccitt" },
	{ 0xdcf39130, "crypto_skcipher_setkey" },
	{ 0x11d83913, "unregister_netdevice_queue" },
	{ 0x68f7117c, "ieee802154_hdr_peek_addrs" },
	{ 0x43268971, "wpan_phy_unregister" },
	{ 0xa4f91025, "trace_event_buffer_commit" },
	{ 0xe6aa6d1f, "crypto_destroy_tfm" },
	{ 0x9702ad0a, "alloc_netdev_mqs" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x938bc9a6, "trace_event_ignore_this_pid" },
	{ 0x950e50cc, "crypto_skcipher_decrypt" },
	{ 0xb3a85a00, "skb_copy_expand" },
	{ 0x2ee2302c, "skb_queue_tail" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xdc437adf, "crypto_aead_setkey" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4e4d6380, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb2860dd7, "wpan_phy_register" },
	{ 0x1f0cda71, "crypto_aead_encrypt" },
	{ 0xe5785bf1, "sk_skb_reason_drop" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x79f1e108, "skb_push" },
	{ 0xbcf136ce, "ieee802154_hdr_peek" },
	{ 0xca9ddcc8, "wpan_phy_free" },
	{ 0x2275ed8, "netif_receive_skb" },
	{ 0xd3c93fd9, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x8c520db1, "free_netdev" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x2178f881, "bpf_trace_run1" },
	{ 0xc796cbb0, "netif_tx_wake_queue" },
	{ 0x22fa68b3, "_dev_warn" },
	{ 0x27e9ac7, "hrtimer_start_range_ns" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xd43ce390, "ieee802154_hdr_pull" },
	{ 0xe1b2e9ed, "crypto_alloc_sync_skcipher" },
	{ 0x1ddb0bdc, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe5cc91bb, "__dynamic_netdev_dbg" },
	{ 0xe798236d, "jiffies" },
	{ 0xee3edee5, "bpf_trace_run3" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x21c0017, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x11d0cb38, "wpan_phy_new" },
	{ 0xe5cc303, "skb_clone" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x7c3cbabd, "hrtimer_cancel" },
	{ 0xc03570ba, "ieee802154_hdr_push" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x66c6e87e, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x69bf1fe, "dev_kfree_skb_any_reason" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x1377c04b, "kmalloc_caches" },
	{ 0x4b172758, "register_netdevice" },
	{ 0x92639d5f, "module_layout" },
};

MODULE_INFO(depends, "ieee802154");


MODULE_INFO(srcversion, "46960314F983F83CB5B47F0");
MODULE_INFO(rhelversion, "9.7");
