#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_snap_origin, "", "");
KSYMTAB_FUNC(dm_snap_cow, "", "");
KSYMTAB_FUNC(dm_exception_store_type_register, "", "");
KSYMTAB_FUNC(dm_exception_store_type_unregister, "", "");
KSYMTAB_FUNC(dm_exception_store_create, "", "");
KSYMTAB_FUNC(dm_exception_store_destroy, "", "");

SYMBOL_CRC(dm_snap_origin, 0xb3aa3cec, "");
SYMBOL_CRC(dm_snap_cow, 0x6190484e, "");
SYMBOL_CRC(dm_exception_store_type_register, 0x23dc2507, "");
SYMBOL_CRC(dm_exception_store_type_unregister, 0x4c14bb98, "");
SYMBOL_CRC(dm_exception_store_create, 0x6829f621, "");
SYMBOL_CRC(dm_exception_store_destroy, 0x214ab61e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb77f2178, "bio_associate_blkg" },
	{ 0x1638784e, "dm_internal_resume_fast" },
	{ 0x24127f8b, "try_module_get" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xc87f7937, "param_ops_uint" },
	{ 0xf2a8efae, "dm_kcopyd_do_callback" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x704b9d94, "dm_per_bio_data" },
	{ 0xc3253a75, "dm_put_device" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x62ac2172, "dm_table_get_size" },
	{ 0x6cdb2d56, "dm_bufio_prefetch" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x755bdfb7, "mempool_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x807cdf9e, "dm_hold" },
	{ 0x37a0cba, "kfree" },
	{ 0xf1f88a0e, "dm_kcopyd_prepare_callback" },
	{ 0xb04f56ab, "dm_bufio_read" },
	{ 0x601f665f, "dm_io_client_create" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4567969, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xc24e1d4b, "mempool_free" },
	{ 0x92997ed8, "_printk" },
	{ 0x9dd9df13, "dm_kcopyd_client_create" },
	{ 0x1000e51, "schedule" },
	{ 0x194c1784, "dm_accept_partial_bio" },
	{ 0xfc725a04, "mempool_alloc" },
	{ 0x13bc43d, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x4ac93673, "module_put" },
	{ 0xeca7949e, "dm_bufio_client_destroy" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x800473f, "__cond_resched" },
	{ 0xcfea47ac, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x42c00d62, "__wake_up_locked" },
	{ 0xe3543dd2, "dm_suspended" },
	{ 0x2a24d6e2, "submit_bio_noacct" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x5d9c5da9, "kmem_cache_free" },
	{ 0x7d27e504, "dm_shift_arg" },
	{ 0x7dbea3d0, "dm_bufio_client_create" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xe6024e59, "dm_bufio_release" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x1905a6c6, "dm_unregister_target" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x11089ac7, "_ctype" },
	{ 0xeedf9687, "dm_set_target_max_io_len" },
	{ 0xb8204f8f, "dm_kcopyd_zero" },
	{ 0xac6ad21d, "dm_table_event" },
	{ 0xd7c91dd0, "dm_internal_suspend_fast" },
	{ 0x39c74235, "dm_read_arg_group" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x89960fd, "dm_put" },
	{ 0x9e4faeef, "dm_io_client_destroy" },
	{ 0x103bafd6, "down_read" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x6d8badeb, "dm_kcopyd_copy" },
	{ 0x79d705ab, "dm_register_target" },
	{ 0x999e8297, "vfree" },
	{ 0x154c6338, "dm_kcopyd_client_destroy" },
	{ 0x72825473, "dm_table_get_mode" },
	{ 0x91f00abc, "dm_bufio_set_minimum_buffers" },
	{ 0xc78a7e57, "blkdev_issue_flush" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x40a1e63f, "dm_table_get_md" },
	{ 0xd991e3b9, "dm_bufio_get_device_size" },
	{ 0x66c6e87e, "kmalloc_trace" },
	{ 0x507535e1, "dm_io" },
	{ 0x2823e6d6, "dm_get_device" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x555ccb97, "up_read" },
	{ 0xcd2ba798, "dm_bufio_forget" },
	{ 0x49db9231, "dm_bio_get_target_bio_nr" },
	{ 0x669c191b, "dm_consume_args" },
	{ 0x1377c04b, "kmalloc_caches" },
	{ 0x34482aa5, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x94720c56, "kmem_cache_destroy" },
	{ 0x92639d5f, "module_layout" },
};

MODULE_INFO(depends, "dm-mod,dm-bufio");


MODULE_INFO(srcversion, "377033E75A8DC057E2EB8D4");
MODULE_INFO(rhelversion, "9.7");
