#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cec_allocate_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_register_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_unregister_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_delete_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_get_edid_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_fill_conn_info_from_drm, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_cec_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_hpd_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_5v_event, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_attempt_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_msg, "_gpl", "");
KSYMTAB_FUNC(cec_received_msg_ts, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr_from_edid, "_gpl", "");
KSYMTAB_FUNC(cec_s_conn_info, "_gpl", "");
KSYMTAB_FUNC(cec_s_log_addrs, "_gpl", "");

SYMBOL_CRC(cec_allocate_adapter, 0x3f17e89e, "_gpl");
SYMBOL_CRC(cec_register_adapter, 0xe51bcdc1, "_gpl");
SYMBOL_CRC(cec_unregister_adapter, 0x2a89ef72, "_gpl");
SYMBOL_CRC(cec_delete_adapter, 0xf2a42bc3, "_gpl");
SYMBOL_CRC(cec_get_edid_phys_addr, 0xbe4de675, "_gpl");
SYMBOL_CRC(cec_fill_conn_info_from_drm, 0x58ad7c4c, "_gpl");
SYMBOL_CRC(cec_queue_pin_cec_event, 0xe6e40893, "_gpl");
SYMBOL_CRC(cec_queue_pin_hpd_event, 0xf6a1cdef, "_gpl");
SYMBOL_CRC(cec_queue_pin_5v_event, 0x221dbb12, "_gpl");
SYMBOL_CRC(cec_transmit_done_ts, 0xc6329ec5, "_gpl");
SYMBOL_CRC(cec_transmit_attempt_done_ts, 0x0944cc43, "_gpl");
SYMBOL_CRC(cec_transmit_msg, 0xd1ffadc3, "_gpl");
SYMBOL_CRC(cec_received_msg_ts, 0x1a42fd55, "_gpl");
SYMBOL_CRC(cec_s_phys_addr, 0xe08c36df, "_gpl");
SYMBOL_CRC(cec_s_phys_addr_from_edid, 0xabe3b061, "_gpl");
SYMBOL_CRC(cec_s_conn_info, 0xf10f8567, "_gpl");
SYMBOL_CRC(cec_s_log_addrs, 0x2fbcb4ff, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x4099bc22, "dev_set_name" },
	{ 0xaca0aef0, "complete" },
	{ 0x26da8bb9, "cdev_device_del" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x8f59246, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x8278c24a, "seq_lseek" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x6f782180, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc688ccf9, "wake_up_process" },
	{ 0x92997ed8, "_printk" },
	{ 0x48936f50, "cdev_device_add" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x497f66d1, "debugfs_create_devm_seqfile" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xd65196f1, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xc6cbbc89, "capable" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xbe86bbe3, "bus_unregister" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xe11e627, "debugfs_remove" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x9b616355, "kthread_stop" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xffbf5a41, "wait_for_completion_killable" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x3b7c5d06, "kthread_create_on_node" },
	{ 0x66b209d5, "seq_read" },
	{ 0xea042425, "debugfs_create_file" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xbc0d9f17, "param_ops_bool" },
	{ 0x45d3c773, "memdup_user_nul" },
	{ 0x85e739f1, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa82b55bc, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x705720de, "seq_puts" },
	{ 0x969c6a76, "single_release" },
	{ 0x66c6e87e, "kmalloc_trace" },
	{ 0x64e956a0, "param_ops_int" },
	{ 0xe84ebb42, "single_open" },
	{ 0x62a2e02c, "debugfs_create_dir" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xab130c66, "cdev_init" },
	{ 0x1377c04b, "kmalloc_caches" },
	{ 0xe824c272, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92639d5f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "39BA166EA3A274B6CEEFB91");
MODULE_INFO(rhelversion, "9.7");
