#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(team_modeop_port_enter, "", "");
KSYMTAB_FUNC(team_modeop_port_change_dev_addr, "", "");
KSYMTAB_FUNC(team_options_register, "", "");
KSYMTAB_FUNC(team_options_unregister, "", "");
KSYMTAB_FUNC(team_option_inst_set_change, "", "");
KSYMTAB_FUNC(team_options_change_check, "", "");
KSYMTAB_FUNC(team_mode_register, "", "");
KSYMTAB_FUNC(team_mode_unregister, "", "");

SYMBOL_CRC(team_modeop_port_enter, 0xd9fb457d, "");
SYMBOL_CRC(team_modeop_port_change_dev_addr, 0x72056ccc, "");
SYMBOL_CRC(team_options_register, 0xbc263005, "");
SYMBOL_CRC(team_options_unregister, 0x8d0b516e, "");
SYMBOL_CRC(team_option_inst_set_change, 0xcef4d3f1, "");
SYMBOL_CRC(team_options_change_check, 0xc8d3652a, "");
SYMBOL_CRC(team_mode_register, 0xbd8f6cbb, "");
SYMBOL_CRC(team_mode_unregister, 0xc1e7449d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaf0da076, "dev_set_mtu" },
	{ 0x24127f8b, "try_module_get" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9475829f, "__nlmsg_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6b4becca, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x2c77c7f5, "__netpoll_free" },
	{ 0x3b57034, "netpoll_send_skb" },
	{ 0x62d1e0ff, "rtnl_link_register" },
	{ 0x6ee9feb7, "genlmsg_put" },
	{ 0x236c8c64, "memcpy" },
	{ 0xa6662f87, "dev_uc_sync_multiple" },
	{ 0x37a0cba, "kfree" },
	{ 0xf4ba9b8, "dev_set_promiscuity" },
	{ 0x86773c78, "netdev_warn" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x19f44c30, "dev_uc_unsync" },
	{ 0xa0fae306, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf391d8cc, "netlink_broadcast_filtered" },
	{ 0xb4c85104, "netdev_err" },
	{ 0x589cd9f7, "passthru_features_check" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xbba8abcb, "netdev_rx_handler_unregister" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x206f846f, "__alloc_skb" },
	{ 0x4ac93673, "module_put" },
	{ 0x26aa4f3d, "dev_uc_flush" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x1d6a145b, "dev_open" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc8350857, "rtnl_link_unregister" },
	{ 0x4dea1053, "memchr" },
	{ 0x1012191b, "dev_mc_flush" },
	{ 0xe5785bf1, "sk_skb_reason_drop" },
	{ 0x8df53326, "netlink_unicast" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xf6f498bd, "dev_get_by_index" },
	{ 0x800af835, "dev_close" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x339aa8bc, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x433b4833, "ethtool_op_get_link" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x2c9138b2, "__ethtool_get_link_ksettings" },
	{ 0x11089ac7, "_ctype" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x46b71bd4, "dev_set_mac_address" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc45f79da, "netdev_has_upper_dev" },
	{ 0xb9bea965, "netdev_change_features" },
	{ 0x17eeb00e, "netdev_lower_state_changed" },
	{ 0x97fc3390, "netdev_master_upper_dev_link" },
	{ 0x8c977b46, "vlan_vids_add_by_dev" },
	{ 0x1ddb0bdc, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe5cc91bb, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x2a99ffe0, "vlan_vids_del_by_dev" },
	{ 0xdf00f511, "__netpoll_setup" },
	{ 0x2fd372, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7c4aaa60, "vlan_vid_add" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x5e023d3, "call_netdevice_notifiers" },
	{ 0xcce07d34, "vlan_vid_del" },
	{ 0x1381698e, "dev_set_allmulti" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5dc5ff81, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xe5cc303, "skb_clone" },
	{ 0x469f9ef3, "netif_carrier_on" },
	{ 0x5210cc7, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x1809964d, "netdev_rx_handler_register" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xf98c0899, "genl_unregister_family" },
	{ 0x2e9c45ff, "dev_disable_lro" },
	{ 0x66c6e87e, "kmalloc_trace" },
	{ 0x69bf1fe, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x52e7c4ce, "dev_mc_unsync" },
	{ 0x68347e7, "genl_register_family" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x1377c04b, "kmalloc_caches" },
	{ 0x34e629f7, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb91cad8, "dev_mc_sync_multiple" },
	{ 0x4b172758, "register_netdevice" },
	{ 0x92639d5f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "706E787256579494A82A7CD");
MODULE_INFO(rhelversion, "9.7");
