#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x2a8117ee, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0xac17e0d0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9b8d07aa, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x236c8c64, "memcpy" },
	{ 0xc007bb4a, "fasync_helper" },
	{ 0x12a5fa24, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x34e629f7, "netdev_info" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf00a075f, "nla_put" },
	{ 0x33e3c63e, "from_kgid_munged" },
	{ 0xed64efe, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xe6799765, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x92edf845, "dev_get_tstats64" },
	{ 0x57a03111, "netif_tx_stop_all_queues" },
	{ 0x92997ed8, "_printk" },
	{ 0x62d1e0ff, "rtnl_link_register" },
	{ 0xe2d354d6, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x24f63cf1, "misc_deregister" },
	{ 0xc8350857, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x91375431, "xdp_return_frame" },
	{ 0xe5785bf1, "sk_skb_reason_drop" },
	{ 0x469f9ef3, "netif_carrier_on" },
	{ 0x5dc5ff81, "netif_carrier_off" },
	{ 0x3794b046, "bpf_prog_put" },
	{ 0x57bc8f2b, "sk_alloc" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x560a83a5, "sock_init_data_uid" },
	{ 0xb79be153, "sk_free" },
	{ 0x7cfc2bc9, "_copy_to_iter" },
	{ 0xc8b9b3fb, "skb_copy_datagram_iter" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x400a4f27, "iov_iter_advance" },
	{ 0xb4c85104, "netdev_err" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x4f91fd51, "__wake_up_sync_key" },
	{ 0x3253c57a, "kill_fasync" },
	{ 0xd8a68735, "skb_queue_purge_reason" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x77ae57ea, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc6e14b43, "xdp_rxq_info_unreg" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x30c087d6, "__netif_napi_del" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4ac93673, "module_put" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe798236d, "jiffies" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x800d0ebc, "netdev_core_stats_inc" },
	{ 0xccdd22e4, "xdp_do_redirect" },
	{ 0xbad04e50, "bpf_warn_invalid_xdp_action" },
	{ 0x8b7a698b, "__tracepoint_xdp_exception" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xba3e823d, "__traceiter_xdp_exception" },
	{ 0xc529f28b, "xdp_return_frame_rx_napi" },
	{ 0xb11ab755, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x6b4becca, "consume_skb" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2275ed8, "netif_receive_skb" },
	{ 0x1d8bbbb1, "napi_gro_receive" },
	{ 0xd3e25d99, "napi_complete_done" },
	{ 0x78bd0b55, "build_skb" },
	{ 0x60365ed1, "skb_put" },
	{ 0xf241fba6, "skb_set_owner_w" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x239510ac, "napi_get_frags" },
	{ 0xb57a1fcb, "iov_iter_single_seg_count" },
	{ 0xe0ee6c14, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0xebf5582b, "vmemmap" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa82b55bc, "seq_printf" },
	{ 0x4d62f214, "sock_recv_errqueue" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x13f85205, "__skb_get_hash_symmetric_net" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xd6ea5b2c, "sk_filter_trim_cap" },
	{ 0x59b68a7b, "skb_clone_tx_timestamp" },
	{ 0xec008b0f, "skb_copy_ubufs" },
	{ 0xcee47578, "skb_tx_error" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x8761c87b, "rps_needed" },
	{ 0x9f2ba237, "skb_tstamp_tx" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x6577a1a1, "___pskb_trim" },
	{ 0x1794fcc9, "netif_set_real_num_tx_queues" },
	{ 0xc52b2d16, "netif_set_real_num_rx_queues" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x11d83913, "unregister_netdevice_queue" },
	{ 0xe29bf3dc, "netdev_state_change" },
	{ 0x2bbe76f4, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x1377c04b, "kmalloc_caches" },
	{ 0x66c6e87e, "kmalloc_trace" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0x57d263b0, "__xdp_rxq_info_reg" },
	{ 0x3a134c41, "xdp_rxq_info_reg_mem_model" },
	{ 0xb3eabd3c, "netif_napi_add_weight" },
	{ 0xf6398834, "napi_enable" },
	{ 0xb8908d2c, "xdp_rxq_info_is_reg" },
	{ 0x157864b6, "lock_sock_nested" },
	{ 0xda17e416, "sk_attach_filter" },
	{ 0x79577727, "release_sock" },
	{ 0xeb598f15, "__dev_get_by_name" },
	{ 0xf67bd2ef, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0x9702ad0a, "alloc_netdev_mqs" },
	{ 0x252d3816, "ip_tunnel_header_ops" },
	{ 0x4b172758, "register_netdevice" },
	{ 0xc796cbb0, "netif_tx_wake_queue" },
	{ 0xa0fae306, "ether_setup" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x8c520db1, "free_netdev" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x85f5e630, "bpf_prog_get_type_dev" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xacaebdaf, "__skb_flow_dissect" },
	{ 0xb285b8cc, "skb_partial_csum_set" },
	{ 0x4c22392f, "__pskb_pull_tail" },
	{ 0xd3af979c, "memdup_user" },
	{ 0xd7975b68, "skb_page_frag_refill" },
	{ 0x10381cce, "copy_page_from_iter" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x48d12d4c, "xdp_master_redirect" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xe05b9a6a, "__folio_put" },
	{ 0xf6cf33be, "_copy_from_iter" },
	{ 0x7de6673b, "iov_iter_npages" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xc28e0179, "skb_copy_datagram_from_iter" },
	{ 0x580f0750, "eth_type_trans" },
	{ 0xd781b20f, "sock_alloc_send_pskb" },
	{ 0xca320780, "zerocopy_sg_from_iter" },
	{ 0xb4e0b8b2, "napi_schedule_prep" },
	{ 0x25a7897a, "__napi_schedule" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf3e14641, "do_xdp_generic" },
	{ 0x1ad561ee, "iov_iter_revert" },
	{ 0x79f1e108, "skb_push" },
	{ 0xf8342681, "eth_get_headlen" },
	{ 0x87abc9ea, "napi_gro_frags" },
	{ 0x1e82cb7, "__page_frag_cache_drain" },
	{ 0x3dd0b7b0, "get_net_ns" },
	{ 0xeb00b097, "open_related_ns" },
	{ 0x4ef748ab, "dev_get_mac_address" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xe89e6d0c, "make_kgid" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0x20cae635, "sk_detach_filter" },
	{ 0xbf09c92b, "make_kuid" },
	{ 0x14681024, "init_user_ns" },
	{ 0x3711b746, "from_kuid" },
	{ 0x29301420, "dev_set_mac_address_user" },
	{ 0x75346445, "netdev_update_features" },
	{ 0x5e023d3, "call_netdevice_notifiers" },
	{ 0x7141202b, "__module_get" },
	{ 0x492d1ed0, "from_kgid" },
	{ 0x433b4833, "ethtool_op_get_link" },
	{ 0xe078c789, "ethtool_op_get_ts_info" },
	{ 0x589cd9f7, "passthru_features_check" },
	{ 0x43d443ec, "eth_mac_addr" },
	{ 0xcd3a178, "eth_validate_addr" },
	{ 0x92639d5f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F98A1DA6B7AE2EC09AD3309");
MODULE_INFO(rhelversion, "9.7");
