#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x91c96694, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x00ace340, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x193984bf, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0xf87ec80a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0xae6bbac1, "__skb_checksum_complete" },
	{ 0x4cb1ef4a, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x656f373d, "skb_copy_bits" },
	{ 0x9475829f, "__nlmsg_put" },
	{ 0x34de88d8, "netdev_adjacent_change_commit" },
	{ 0x43d443ec, "eth_mac_addr" },
	{ 0x60365ed1, "skb_put" },
	{ 0xb5d1eaad, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x1e501d6d, "ip6_dst_hoplimit" },
	{ 0x4d17d10b, "param_ops_ushort" },
	{ 0x6b4becca, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x691085a9, "udp_sock_create4" },
	{ 0x7855fff4, "udp_tunnel6_xmit_skb" },
	{ 0x62d1e0ff, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x43980a24, "__unregister_nexthop_notifier" },
	{ 0x8895ad61, "netif_inherit_tso_max" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xcd3a178, "eth_validate_addr" },
	{ 0x64c3ad06, "rhashtable_init" },
	{ 0x8ecd044c, "gro_cells_init" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x6b1af7c6, "rtnl_create_link" },
	{ 0x11d83913, "unregister_netdevice_queue" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xed443918, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xa0fae306, "ether_setup" },
	{ 0xeb214e14, "udp_tunnel_drop_rx_port" },
	{ 0xa76a898a, "netdev_upper_dev_link" },
	{ 0xe0ee6c14, "pskb_expand_head" },
	{ 0xc3d3ebf, "register_pernet_subsys" },
	{ 0x580f0750, "eth_type_trans" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x206f846f, "__alloc_skb" },
	{ 0x2aa5a566, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x4e405750, "eth_gro_complete" },
	{ 0xacad5df4, "rtnl_set_sk_err" },
	{ 0xd5a4190c, "eth_gro_receive" },
	{ 0xff5c85fd, "rtnl_configure_link" },
	{ 0x52d734a4, "skb_tunnel_check_pmtu" },
	{ 0xdd1fd85c, "udp_tunnel_dst_lookup" },
	{ 0x77ebaf58, "rtnl_unicast" },
	{ 0x8c0ff378, "peernet2id" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0xfe031878, "__skb_get_hash_net" },
	{ 0x94305a3e, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xbadf8cc7, "__dev_get_by_index" },
	{ 0xc8350857, "rtnl_link_unregister" },
	{ 0xdbf5090b, "ipv6_stub" },
	{ 0xb49409cf, "skb_pull" },
	{ 0x97db6866, "gro_find_complete_by_type" },
	{ 0xe5785bf1, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x6641f2f7, "dev_get_by_index_rcu" },
	{ 0xa62d25e7, "gro_cells_receive" },
	{ 0x79f1e108, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x339aa8bc, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0x8c520db1, "free_netdev" },
	{ 0x2db96b69, "ip_mc_join_group" },
	{ 0xf3dd1717, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x9f1e221f, "kmalloc_large" },
	{ 0x157864b6, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x433b4833, "ethtool_op_get_link" },
	{ 0xd9e679b9, "nexthop_find_by_id" },
	{ 0x805592b2, "arp_create" },
	{ 0x2c9138b2, "__ethtool_get_link_ksettings" },
	{ 0xb7b84b5, "netdev_adjacent_change_prepare" },
	{ 0x7b091237, "rtnl_register_module" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x8b42672f, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x30696079, "rhashtable_free_and_destroy" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0xbb34e930, "netdev_adjacent_change_abort" },
	{ 0xb1d08fd6, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd6599604, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9407f279, "__iptunnel_pull_header" },
	{ 0x4c22392f, "__pskb_pull_tail" },
	{ 0x92edf845, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x43f09568, "netif_rx" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0x23f31cfc, "setup_udp_tunnel_sock" },
	{ 0x7555a3b2, "udp_sock_create6" },
	{ 0x1ddb0bdc, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe5cc91bb, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x88d4dddf, "skb_scrub_packet" },
	{ 0x27c531c2, "nexthop_select_path" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xd939bded, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf2792cd2, "neigh_destroy" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xbc0d9f17, "param_ops_bool" },
	{ 0x8d65bdc, "udp_tun_rx_dst" },
	{ 0xf628d00c, "rtnl_notify" },
	{ 0x24da237b, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb83cc694, "__netif_rx" },
	{ 0xe5cc303, "skb_clone" },
	{ 0x122bbf2, "metadata_dst_alloc" },
	{ 0xa1affa46, "dst_release" },
	{ 0xfb783ae7, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x7f0c05c5, "udp_tunnel_notify_del_rx_port" },
	{ 0x80ffb926, "register_nexthop_notifier" },
	{ 0xc01c5fbc, "ip_mc_leave_group" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x66c6e87e, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0x207dfeb8, "gro_find_receive_by_type" },
	{ 0x800d0ebc, "netdev_core_stats_inc" },
	{ 0x1377c04b, "kmalloc_caches" },
	{ 0x34e629f7, "netdev_info" },
	{ 0xa2abbe9d, "neigh_lookup" },
	{ 0x79577727, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4b172758, "register_netdevice" },
	{ 0x92639d5f, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "3BF27CFA156EE356313FB69");
MODULE_INFO(rhelversion, "9.7");
