#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0x2bb573e9, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x76e465d9, "nvme_remove_admin_tag_set" },
	{ 0xb685331b, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xebf5582b, "vmemmap" },
	{ 0x46ef0152, "nvme_uninit_ctrl" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x18326f1a, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xedb8efd2, "nvme_get_opcode_str" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x34d912fd, "nvmf_free_options" },
	{ 0x46502025, "nvmf_subsystem_reset" },
	{ 0x7c9557a6, "blk_mq_tagset_wait_completed_request" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xf89d1865, "nvme_stop_keep_alive" },
	{ 0x529076ff, "blk_mq_complete_request_remote" },
	{ 0xbcaec92b, "dma_unmap_page_attrs" },
	{ 0x1e9b26aa, "nvme_setup_cmd" },
	{ 0x71003d71, "nvme_start_ctrl" },
	{ 0xe1edd5b5, "nvme_get_admin_opcode_str" },
	{ 0x34596050, "nvme_alloc_admin_tag_set" },
	{ 0xaaacc913, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0x46ade9d, "nvmf_reg_read32" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xd87638bd, "nvme_delete_ctrl" },
	{ 0x6f782180, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xfe98d83d, "dev_driver_string" },
	{ 0x848e0523, "nvmf_get_address" },
	{ 0x366e550a, "dma_map_page_attrs" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xe71e4ca5, "nvme_remove_io_tag_set" },
	{ 0x5c921754, "nvme_cleanup_cmd" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9ce6fdce, "nvme_mpath_start_request" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x29568c86, "nvmf_unregister_transport" },
	{ 0x6be42a96, "blkcg_get_fc_appid" },
	{ 0xd65196f1, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x5fe3e24b, "nvme_change_ctrl_state" },
	{ 0xcd3bc80e, "_dev_info" },
	{ 0x8c91d1b, "nvme_init_ctrl" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x58dbc932, "nvme_alloc_io_tag_set" },
	{ 0x40a99ad0, "nvme_fail_nonready_command" },
	{ 0xa9a85e05, "kobject_uevent_env" },
	{ 0x8b561113, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xef143e8e, "_dev_err" },
	{ 0xa7b9633b, "nvme_get_fabrics_opcode_str" },
	{ 0x81fa6630, "device_create" },
	{ 0xe1d0f61e, "blk_sync_queue" },
	{ 0x85abc85f, "strncmp" },
	{ 0x48e5eb7b, "blkcg_set_fc_appid" },
	{ 0x41c434f2, "__blk_rq_map_sg" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0xf41a3a83, "nvmf_reg_read64" },
	{ 0xdac785ea, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x64c8b9c4, "nvmf_connect_admin_queue" },
	{ 0x10631fbc, "nvme_enable_ctrl" },
	{ 0x6707e5d0, "nvme_unquiesce_admin_queue" },
	{ 0x22fa68b3, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xe798236d, "jiffies" },
	{ 0x3d436c3a, "nvme_unquiesce_io_queues" },
	{ 0x73aea5ed, "blk_mq_update_nr_hw_queues" },
	{ 0x4e18c70, "nvmf_reg_write32" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xb0ed7cad, "nvmf_should_reconnect" },
	{ 0xa6adda2c, "__dma_sync_single_for_device" },
	{ 0x3a627b66, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb99ab439, "device_destroy" },
	{ 0xccd8998d, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x4b154357, "nvmf_register_transport" },
	{ 0x94f3d1ea, "blk_mq_start_request" },
	{ 0xa0f46a4d, "nvme_quiesce_io_queues" },
	{ 0x335300f8, "blk_mq_tagset_busy_iter" },
	{ 0x849d198f, "nvme_stop_ctrl" },
	{ 0x4f44028d, "dma_unmap_sg_attrs" },
	{ 0x66c6e87e, "kmalloc_trace" },
	{ 0x7b3add78, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0x9a73764, "nvme_reset_ctrl" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0xee1a3263, "nvme_quiesce_admin_queue" },
	{ 0xe3dc4e4c, "class_register" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xee3be0a4, "__nvme_check_ready" },
	{ 0x1377c04b, "kmalloc_caches" },
	{ 0x155fa255, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf0342906, "nvme_add_ctrl" },
	{ 0x92639d5f, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "C37B4B30EDCFF71594AD512");
MODULE_INFO(rhelversion, "9.7");
