#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_alloc_task, "_gpl", "");
KSYMTAB_FUNC(sas_alloc_slow_task, "_gpl", "");
KSYMTAB_FUNC(sas_free_task, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_device_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_alloc_task, 0x36e97741, "_gpl");
SYMBOL_CRC(sas_alloc_slow_task, 0x7736c7e7, "_gpl");
SYMBOL_CRC(sas_free_task, 0x0b4d3a2b, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0x16b00fbe, "");
SYMBOL_CRC(sas_resume_ha, 0xa5715cb7, "");
SYMBOL_CRC(sas_suspend_ha, 0xa05b8135, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0x4a4966fc, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0x3166d516, "_gpl");
SYMBOL_CRC(sas_register_ha, 0xc7ea90ea, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0xc3d2667a, "_gpl");
SYMBOL_CRC(sas_drain_work, 0x63b116c5, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0xee83bb6d, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0x521b0b27, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0xb2d05007, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0xf7b3a3e5, "_gpl");
SYMBOL_CRC(sas_request_addr, 0x7ae40687, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0x24cafb62, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0x1a242991, "_gpl");
SYMBOL_CRC(sas_device_configure, 0x15a3d6cd, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0xa18ec1a7, "_gpl");
SYMBOL_CRC(sas_bios_param, 0x5df49703, "_gpl");
SYMBOL_CRC(sas_task_abort, 0xf34f39bf, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0xa3dd66b3, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0x0d1eafb8, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0xe080bfeb, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0xce0feb2c, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0x1490a875, "_gpl");
SYMBOL_CRC(sas_ioctl, 0x38b4c285, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0x16e71adf, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa06e587a, "release_firmware" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x4b2d81b2, "sas_rphy_remove" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xd9a5fba6, "bsg_job_done" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0x21384142, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xa247e35b, "scsi_schedule_eh" },
	{ 0xdb8fcf67, "request_firmware" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x2811225c, "sas_port_alloc" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd4556dc0, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xc75b37c3, "sas_port_get_phy" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0x4567969, "kmem_cache_create" },
	{ 0x6f782180, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x87fcab48, "hex2bin" },
	{ 0x5388f082, "sas_phy_alloc" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd65196f1, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x13bc43d, "kmem_cache_alloc" },
	{ 0xcd3bc80e, "_dev_info" },
	{ 0x400ebf15, "sas_phy_free" },
	{ 0xcc95bb69, "scsi_eh_finish_cmd" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc2a113a, "add_timer" },
	{ 0x8fae1bd2, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xd63e188c, "sas_port_mark_backlink" },
	{ 0x5d9c5da9, "kmem_cache_free" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x27abb43a, "sas_end_device_alloc" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0x5bf18d48, "sas_read_port_mode_page" },
	{ 0x42c5b22b, "sas_expander_alloc" },
	{ 0x22fa68b3, "_dev_warn" },
	{ 0x2b7bb75e, "sas_rphy_delete" },
	{ 0x840b2657, "scsi_is_host_device" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0xf060def1, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x8a9fe11, "scsi_host_busy" },
	{ 0xd5f5bac9, "sas_port_delete" },
	{ 0xe798236d, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x718b9b8a, "sas_rphy_add" },
	{ 0x344402f0, "sas_port_delete_phy" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xacea3790, "sas_rphy_free" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x48e3c0f2, "sas_port_add_phy" },
	{ 0xb653dcf5, "scsi_unblock_requests" },
	{ 0x4928ab5a, "sas_phy_add" },
	{ 0x393da8fd, "sg_copy_from_buffer" },
	{ 0x557871ed, "sas_port_free" },
	{ 0x66c6e87e, "kmalloc_trace" },
	{ 0x9117b601, "scsi_block_requests" },
	{ 0x650cea38, "blk_abort_request" },
	{ 0xb988880e, "sg_copy_to_buffer" },
	{ 0xa5c36891, "sas_remove_children" },
	{ 0x7f14cce9, "scsi_change_queue_depth" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x1377c04b, "kmalloc_caches" },
	{ 0x94720c56, "kmem_cache_destroy" },
	{ 0x92639d5f, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_sas");


MODULE_INFO(srcversion, "B93A9C0AC18BB529F52CCD2");
MODULE_INFO(rhelversion, "9.7");
