#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(register_nfs_version, "_gpl", "");
KSYMTAB_FUNC(unregister_nfs_version, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_free_client, "_gpl", "");
KSYMTAB_FUNC(nfs_put_client, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_is_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_status, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_client_init_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_get_client, "_gpl", "");
KSYMTAB_FUNC(nfs_mark_client_ready, "_gpl", "");
KSYMTAB_FUNC(nfs_init_timeout_values, "_gpl", "");
KSYMTAB_FUNC(nfs_create_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_init_server_rpcclient, "_gpl", "");
KSYMTAB_FUNC(nfs_init_client, "_gpl", "");
KSYMTAB_FUNC(nfs_probe_server, "_gpl", "");
KSYMTAB_FUNC(nfs_server_copy_userdata, "_gpl", "");
KSYMTAB_FUNC(nfs_server_insert_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_server_remove_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_server, "_gpl", "");
KSYMTAB_FUNC(nfs_free_server, "_gpl", "");
KSYMTAB_FUNC(nfs_create_server, "_gpl", "");
KSYMTAB_FUNC(nfs_clone_server, "_gpl", "");
KSYMTAB_FUNC(nfs_force_lookup_revalidate, "_gpl", "");
KSYMTAB_FUNC(nfs_set_verifier, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_verifier_delegated, "_gpl", "");
KSYMTAB_DATA(nfs_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_lookup, "_gpl", "");
KSYMTAB_FUNC(nfs_d_prune_case_insensitive_aliases, "_gpl", "");
KSYMTAB_DATA(nfs4_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_atomic_open, "_gpl", "");
KSYMTAB_FUNC(nfs_add_or_obtain, "_gpl", "");
KSYMTAB_FUNC(nfs_instantiate, "_gpl", "");
KSYMTAB_FUNC(nfs_create, "_gpl", "");
KSYMTAB_FUNC(nfs_mknod, "_gpl", "");
KSYMTAB_FUNC(nfs_mkdir, "_gpl", "");
KSYMTAB_FUNC(nfs_rmdir, "_gpl", "");
KSYMTAB_FUNC(nfs_unlink, "_gpl", "");
KSYMTAB_FUNC(nfs_symlink, "_gpl", "");
KSYMTAB_FUNC(nfs_link, "_gpl", "");
KSYMTAB_FUNC(nfs_rename, "_gpl", "");
KSYMTAB_FUNC(nfs_access_zap_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_get_cached, "_gpl", "");
KSYMTAB_FUNC(nfs_access_add_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_set_mask, "_gpl", "");
KSYMTAB_FUNC(nfs_may_open, "_gpl", "");
KSYMTAB_FUNC(nfs_permission, "_gpl", "");
KSYMTAB_FUNC(nfs_check_flags, "_gpl", "");
KSYMTAB_FUNC(nfs_file_release, "_gpl", "");
KSYMTAB_FUNC(nfs_file_llseek, "_gpl", "");
KSYMTAB_FUNC(nfs_file_read, "_gpl", "");
KSYMTAB_FUNC(nfs_file_mmap, "_gpl", "");
KSYMTAB_FUNC(nfs_file_fsync, "_gpl", "");
KSYMTAB_FUNC(nfs_file_write, "_gpl", "");
KSYMTAB_FUNC(nfs_lock, "_gpl", "");
KSYMTAB_FUNC(nfs_flock, "_gpl", "");
KSYMTAB_DATA(nfs_file_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_bit_killable, "_gpl", "");
KSYMTAB_FUNC(nfs_drop_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_sync_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_check_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_set_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_zap_acl_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_invalidate_atime, "_gpl", "");
KSYMTAB_FUNC(nfs4_label_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_setsecurity, "_gpl", "");
KSYMTAB_FUNC(nfs_fhget, "_gpl", "");
KSYMTAB_FUNC(nfs_update_delegated_mtime, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_getattr, "_gpl", "");
KSYMTAB_FUNC(nfs_get_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_put_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_close_context, "_gpl", "");
KSYMTAB_FUNC(alloc_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(get_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(put_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_inode_attach_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_file_set_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_revalidate_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_inc_attr_generation_counter, "_gpl", "");
KSYMTAB_FUNC(nfs_fattr_init, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr_with_label, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fhandle, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle_hash, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle, "_gpl", "");
KSYMTAB_FUNC(nfs_refresh_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode_force_wcc, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_free_inode, "_gpl", "");
KSYMTAB_DATA(nfsiod_workqueue, "_gpl", "");
KSYMTAB_DATA(nfs_net_id, "_gpl", "");
KSYMTAB_DATA(nfs_sops, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_active, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_deactive, "_gpl", "");
KSYMTAB_FUNC(nfs_client_for_each_server, "_gpl", "");
KSYMTAB_FUNC(nfs_statfs, "_gpl", "");
KSYMTAB_FUNC(nfs_show_options, "_gpl", "");
KSYMTAB_FUNC(nfs_show_devname, "_gpl", "");
KSYMTAB_FUNC(nfs_show_path, "_gpl", "");
KSYMTAB_FUNC(nfs_show_stats, "_gpl", "");
KSYMTAB_FUNC(nfs_umount_begin, "_gpl", "");
KSYMTAB_FUNC(nfs_auth_info_match, "_gpl", "");
KSYMTAB_FUNC(nfs_try_get_tree, "_gpl", "");
KSYMTAB_FUNC(nfs_reconfigure, "_gpl", "");
KSYMTAB_FUNC(nfs_kill_super, "_gpl", "");
KSYMTAB_DATA(nfs_callback_nr_threads, "_gpl", "");
KSYMTAB_DATA(nfs_callback_set_tcpport, "_gpl", "");
KSYMTAB_DATA(nfs_idmap_cache_timeout, "_gpl", "");
KSYMTAB_DATA(nfs4_disable_idmapping, "_gpl", "");
KSYMTAB_DATA(max_session_slots, "_gpl", "");
KSYMTAB_DATA(max_session_cb_slots, "_gpl", "");
KSYMTAB_DATA(send_implementation_id, "_gpl", "");
KSYMTAB_DATA(nfs4_client_id_uniquifier, "_gpl", "");
KSYMTAB_DATA(recover_lost_locks, "_gpl", "");
KSYMTAB_DATA(nfs_delay_retrans, "_gpl", "");
KSYMTAB_FUNC(nfs_dreq_bytes_left, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_current_mirror, "_gpl", "");
KSYMTAB_FUNC(nfs_pgheader_init, "_gpl", "");
KSYMTAB_FUNC(nfs_async_iocounter_wait, "_gpl", "");
KSYMTAB_FUNC(nfs_release_request, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_free, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_resend, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_read, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_read_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_read_alloc_scratch, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_free, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list_locked, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_request_remove_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_init_cinfo, "_gpl", "");
KSYMTAB_FUNC(nfs_scan_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_write, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_write_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_writeback_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_release, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_init_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_retry_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_write_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_filemap_write_and_wait_range, "_gpl", "");
KSYMTAB_FUNC(nfs_wb_all, "_gpl", "");
KSYMTAB_FUNC(nfs_path, "_gpl", "");
KSYMTAB_FUNC(nfs_do_submount, "_gpl", "");
KSYMTAB_FUNC(nfs_submount, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_enter, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_exit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_status, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_link_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_add_server, "_gpl", "");
KSYMTAB_DATA(nfs_fs_type, "_gpl", "");
KSYMTAB_DATA(nfs4_fs_type, "_gpl", "");
KSYMTAB_FUNC(nfs_fscache_open_file, "_gpl", "");

SYMBOL_CRC(register_nfs_version, 0xb68809f1, "_gpl");
SYMBOL_CRC(unregister_nfs_version, 0x055ee013, "_gpl");
SYMBOL_CRC(nfs_alloc_client, 0xf4593f8f, "_gpl");
SYMBOL_CRC(nfs_free_client, 0x63d6a72d, "_gpl");
SYMBOL_CRC(nfs_put_client, 0xad78b203, "_gpl");
SYMBOL_CRC(nfs_client_init_is_complete, 0x55a68ea8, "_gpl");
SYMBOL_CRC(nfs_client_init_status, 0xb97dd70f, "_gpl");
SYMBOL_CRC(nfs_wait_client_init_complete, 0xe0e5a79e, "_gpl");
SYMBOL_CRC(nfs_get_client, 0xe0c1bc55, "_gpl");
SYMBOL_CRC(nfs_mark_client_ready, 0xdb554b1a, "_gpl");
SYMBOL_CRC(nfs_init_timeout_values, 0x98b0ece8, "_gpl");
SYMBOL_CRC(nfs_create_rpc_client, 0x69cc6645, "_gpl");
SYMBOL_CRC(nfs_init_server_rpcclient, 0xe2d14185, "_gpl");
SYMBOL_CRC(nfs_init_client, 0xec550aa2, "_gpl");
SYMBOL_CRC(nfs_probe_server, 0xa65ad424, "_gpl");
SYMBOL_CRC(nfs_server_copy_userdata, 0xe61bfec5, "_gpl");
SYMBOL_CRC(nfs_server_insert_lists, 0x5e623289, "_gpl");
SYMBOL_CRC(nfs_server_remove_lists, 0x1d804a89, "_gpl");
SYMBOL_CRC(nfs_alloc_server, 0x0f6a84e9, "_gpl");
SYMBOL_CRC(nfs_free_server, 0xce9ef0c2, "_gpl");
SYMBOL_CRC(nfs_create_server, 0x34ce6687, "_gpl");
SYMBOL_CRC(nfs_clone_server, 0x488e9c69, "_gpl");
SYMBOL_CRC(nfs_force_lookup_revalidate, 0x823f6248, "_gpl");
SYMBOL_CRC(nfs_set_verifier, 0x93d5e207, "_gpl");
SYMBOL_CRC(nfs_clear_verifier_delegated, 0x049fc575, "_gpl");
SYMBOL_CRC(nfs_dentry_operations, 0xcf24b7c1, "_gpl");
SYMBOL_CRC(nfs_lookup, 0x8b99aba9, "_gpl");
SYMBOL_CRC(nfs_d_prune_case_insensitive_aliases, 0x950413b8, "_gpl");
SYMBOL_CRC(nfs4_dentry_operations, 0x5b9da275, "_gpl");
SYMBOL_CRC(nfs_atomic_open, 0xa6b8319c, "_gpl");
SYMBOL_CRC(nfs_add_or_obtain, 0xeb815368, "_gpl");
SYMBOL_CRC(nfs_instantiate, 0x265881b7, "_gpl");
SYMBOL_CRC(nfs_create, 0x598ab2da, "_gpl");
SYMBOL_CRC(nfs_mknod, 0x1bfdc496, "_gpl");
SYMBOL_CRC(nfs_mkdir, 0x37bb9949, "_gpl");
SYMBOL_CRC(nfs_rmdir, 0x3a8993d8, "_gpl");
SYMBOL_CRC(nfs_unlink, 0x5d346f27, "_gpl");
SYMBOL_CRC(nfs_symlink, 0xa49db34c, "_gpl");
SYMBOL_CRC(nfs_link, 0xf45f2df2, "_gpl");
SYMBOL_CRC(nfs_rename, 0x99eb44bc, "_gpl");
SYMBOL_CRC(nfs_access_zap_cache, 0x9b7350dc, "_gpl");
SYMBOL_CRC(nfs_access_get_cached, 0xdf07f676, "_gpl");
SYMBOL_CRC(nfs_access_add_cache, 0xa01879f2, "_gpl");
SYMBOL_CRC(nfs_access_set_mask, 0xc6c8b8f1, "_gpl");
SYMBOL_CRC(nfs_may_open, 0x2fb92bc4, "_gpl");
SYMBOL_CRC(nfs_permission, 0x787355bc, "_gpl");
SYMBOL_CRC(nfs_check_flags, 0x3f2690f2, "_gpl");
SYMBOL_CRC(nfs_file_release, 0x68fca00a, "_gpl");
SYMBOL_CRC(nfs_file_llseek, 0xcd74f227, "_gpl");
SYMBOL_CRC(nfs_file_read, 0x9227807b, "_gpl");
SYMBOL_CRC(nfs_file_mmap, 0xc1655cd9, "_gpl");
SYMBOL_CRC(nfs_file_fsync, 0x5810f6f9, "_gpl");
SYMBOL_CRC(nfs_file_write, 0x662c952c, "_gpl");
SYMBOL_CRC(nfs_lock, 0x8d78945b, "_gpl");
SYMBOL_CRC(nfs_flock, 0x14e57894, "_gpl");
SYMBOL_CRC(nfs_file_operations, 0x17adb611, "_gpl");
SYMBOL_CRC(nfs_wait_bit_killable, 0x40739385, "_gpl");
SYMBOL_CRC(nfs_drop_inode, 0x5fb51625, "_gpl");
SYMBOL_CRC(nfs_clear_inode, 0xdb604a00, "_gpl");
SYMBOL_CRC(nfs_sync_inode, 0x9c8432ee, "_gpl");
SYMBOL_CRC(nfs_check_cache_invalid, 0x4c0c15cf, "_gpl");
SYMBOL_CRC(nfs_set_cache_invalid, 0x13eb01c7, "_gpl");
SYMBOL_CRC(nfs_zap_acl_cache, 0x7783b16c, "_gpl");
SYMBOL_CRC(nfs_invalidate_atime, 0xc18ed286, "_gpl");
SYMBOL_CRC(nfs4_label_alloc, 0xd1a326db, "_gpl");
SYMBOL_CRC(nfs_setsecurity, 0xb8a5f262, "_gpl");
SYMBOL_CRC(nfs_fhget, 0xe56c7380, "_gpl");
SYMBOL_CRC(nfs_update_delegated_mtime, 0x4ed659ce, "_gpl");
SYMBOL_CRC(nfs_setattr, 0xdc86e721, "_gpl");
SYMBOL_CRC(nfs_setattr_update_inode, 0x81796a0e, "_gpl");
SYMBOL_CRC(nfs_getattr, 0xaf2791f6, "_gpl");
SYMBOL_CRC(nfs_get_lock_context, 0x12ba9c8a, "_gpl");
SYMBOL_CRC(nfs_put_lock_context, 0xa768d90e, "_gpl");
SYMBOL_CRC(nfs_close_context, 0xb2106b7a, "_gpl");
SYMBOL_CRC(alloc_nfs_open_context, 0x54d78392, "_gpl");
SYMBOL_CRC(get_nfs_open_context, 0x82182eeb, "_gpl");
SYMBOL_CRC(put_nfs_open_context, 0x075ae69a, "_gpl");
SYMBOL_CRC(nfs_inode_attach_open_context, 0xf35d466c, "_gpl");
SYMBOL_CRC(nfs_file_set_open_context, 0xbe89fbfb, "_gpl");
SYMBOL_CRC(nfs_revalidate_inode, 0xb78ad3c8, "_gpl");
SYMBOL_CRC(nfs_inc_attr_generation_counter, 0x584b8482, "_gpl");
SYMBOL_CRC(nfs_fattr_init, 0xa05ca625, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr, 0x832e8f0b, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr_with_label, 0xf3161984, "_gpl");
SYMBOL_CRC(nfs_alloc_fhandle, 0x26884ff7, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle_hash, 0x22d795a8, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle, 0xfc619abd, "_gpl");
SYMBOL_CRC(nfs_refresh_inode, 0x2e5fc539, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode, 0xaf1910ad, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode_force_wcc, 0xf73200d9, "_gpl");
SYMBOL_CRC(nfs_alloc_inode, 0x91d927a5, "_gpl");
SYMBOL_CRC(nfs_free_inode, 0x29c306a6, "_gpl");
SYMBOL_CRC(nfsiod_workqueue, 0x90a5530f, "_gpl");
SYMBOL_CRC(nfs_net_id, 0xc3a2be67, "_gpl");
SYMBOL_CRC(nfs_sops, 0xbefffd0a, "_gpl");
SYMBOL_CRC(nfs_sb_active, 0xf789e397, "_gpl");
SYMBOL_CRC(nfs_sb_deactive, 0xbb249f13, "_gpl");
SYMBOL_CRC(nfs_client_for_each_server, 0xd29c1532, "_gpl");
SYMBOL_CRC(nfs_statfs, 0xc8ab568c, "_gpl");
SYMBOL_CRC(nfs_show_options, 0x0147d746, "_gpl");
SYMBOL_CRC(nfs_show_devname, 0xcb9934a0, "_gpl");
SYMBOL_CRC(nfs_show_path, 0x07e68488, "_gpl");
SYMBOL_CRC(nfs_show_stats, 0x75b0b4c1, "_gpl");
SYMBOL_CRC(nfs_umount_begin, 0x0656fb69, "_gpl");
SYMBOL_CRC(nfs_auth_info_match, 0x10962bc2, "_gpl");
SYMBOL_CRC(nfs_try_get_tree, 0xb4558e04, "_gpl");
SYMBOL_CRC(nfs_reconfigure, 0x3315f5cc, "_gpl");
SYMBOL_CRC(nfs_kill_super, 0x4c88677f, "_gpl");
SYMBOL_CRC(nfs_callback_nr_threads, 0x0294c6a2, "_gpl");
SYMBOL_CRC(nfs_callback_set_tcpport, 0x51892d61, "_gpl");
SYMBOL_CRC(nfs_idmap_cache_timeout, 0x39e05ac3, "_gpl");
SYMBOL_CRC(nfs4_disable_idmapping, 0xdae9b5d7, "_gpl");
SYMBOL_CRC(max_session_slots, 0x91d1fe52, "_gpl");
SYMBOL_CRC(max_session_cb_slots, 0xaafd4acc, "_gpl");
SYMBOL_CRC(send_implementation_id, 0xa8e9e1ae, "_gpl");
SYMBOL_CRC(nfs4_client_id_uniquifier, 0x42f2c81f, "_gpl");
SYMBOL_CRC(recover_lost_locks, 0x4cb9e001, "_gpl");
SYMBOL_CRC(nfs_delay_retrans, 0xefa414fb, "_gpl");
SYMBOL_CRC(nfs_dreq_bytes_left, 0xcae69b17, "_gpl");
SYMBOL_CRC(nfs_pgio_current_mirror, 0x65a6fff4, "_gpl");
SYMBOL_CRC(nfs_pgheader_init, 0xb18f4749, "_gpl");
SYMBOL_CRC(nfs_async_iocounter_wait, 0x7b088cc2, "_gpl");
SYMBOL_CRC(nfs_release_request, 0x1fcbf42b, "_gpl");
SYMBOL_CRC(nfs_generic_pg_test, 0x22fbc758, "_gpl");
SYMBOL_CRC(nfs_pgio_header_alloc, 0x125fd34a, "_gpl");
SYMBOL_CRC(nfs_pgio_header_free, 0x91aa26a2, "_gpl");
SYMBOL_CRC(nfs_initiate_pgio, 0xacd7d3f3, "_gpl");
SYMBOL_CRC(nfs_generic_pgio, 0xc50e1868, "_gpl");
SYMBOL_CRC(nfs_pageio_resend, 0x4a36a356, "_gpl");
SYMBOL_CRC(nfs_pageio_init_read, 0x922b762f, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_read_mds, 0x24f1a9ac, "_gpl");
SYMBOL_CRC(nfs_read_alloc_scratch, 0xac2b7cec, "_gpl");
SYMBOL_CRC(nfs_commitdata_alloc, 0xdaf4b656, "_gpl");
SYMBOL_CRC(nfs_commit_free, 0xc3f364e4, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list_locked, 0x3e37c646, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list, 0x78e58ca2, "_gpl");
SYMBOL_CRC(nfs_request_remove_commit_list, 0x9ddb3f99, "_gpl");
SYMBOL_CRC(nfs_init_cinfo, 0x239a48b9, "_gpl");
SYMBOL_CRC(nfs_scan_commit_list, 0x90117a55, "_gpl");
SYMBOL_CRC(nfs_pageio_init_write, 0x9ca9b975, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_write_mds, 0x6d204e80, "_gpl");
SYMBOL_CRC(nfs_writeback_update_inode, 0xc7380406, "_gpl");
SYMBOL_CRC(nfs_commitdata_release, 0xa35bb430, "_gpl");
SYMBOL_CRC(nfs_initiate_commit, 0x9c72c56a, "_gpl");
SYMBOL_CRC(nfs_init_commit, 0xe7c90126, "_gpl");
SYMBOL_CRC(nfs_retry_commit, 0xb8ad57c8, "_gpl");
SYMBOL_CRC(nfs_commit_inode, 0xa06b6caa, "_gpl");
SYMBOL_CRC(nfs_write_inode, 0xbd6f8759, "_gpl");
SYMBOL_CRC(nfs_filemap_write_and_wait_range, 0x0daff384, "_gpl");
SYMBOL_CRC(nfs_wb_all, 0x6f8ddced, "_gpl");
SYMBOL_CRC(nfs_path, 0x6aac27f4, "_gpl");
SYMBOL_CRC(nfs_do_submount, 0x3975b9a2, "_gpl");
SYMBOL_CRC(nfs_submount, 0x7b74652e, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_enter, 0x30496988, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_enter, 0x0bf17d6b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_enter, 0xf96f04c4, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_exit, 0x44cc3a41, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_exit, 0x29cbeb2b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_exit, 0x6e81f032, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_status, 0x59923eb3, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_status, 0xd35ed884, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_status, 0x73dff4c0, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_bad_filehandle, 0xe70507df, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_bad_filehandle, 0x239fcc22, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_bad_filehandle, 0x95007f7e, "_gpl");
SYMBOL_CRC(nfs_sysfs_link_rpc_client, 0x1d841fe8, "_gpl");
SYMBOL_CRC(nfs_sysfs_add_server, 0xf8935256, "_gpl");
SYMBOL_CRC(nfs_fs_type, 0x0e090b28, "_gpl");
SYMBOL_CRC(nfs4_fs_type, 0x34142f08, "_gpl");
SYMBOL_CRC(nfs_fscache_open_file, 0x0f996c50, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcd0e19c, "rpc_put_task" },
	{ 0x15a60787, "super_setup_bdi_name" },
	{ 0xb2bf4250, "posix_test_lock" },
	{ 0x3f7875ac, "inode_update_timestamps" },
	{ 0x8b1b6ff9, "filemap_fdatawrite" },
	{ 0x30a28e1f, "generic_fillattr" },
	{ 0xb4bee1bf, "vfs_fsync_range" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xb271d381, "clear_nlink" },
	{ 0xb6b956b6, "file_check_and_advance_wb_err" },
	{ 0x24127f8b, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x85215578, "d_alloc_parallel" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xebf5582b, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x3c185c61, "page_put_link" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xbeca5efa, "clear_inode" },
	{ 0xa873b086, "inode_to_bdi" },
	{ 0xf66ce49, "bpf_trace_run4" },
	{ 0x6c0895ee, "__fscache_acquire_volume" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x8fcc0242, "param_ops_ulong" },
	{ 0xfa1c059a, "proc_dointvec_jiffies" },
	{ 0x9b095742, "rpc_proc_register" },
	{ 0xb06598dc, "register_sysctl" },
	{ 0x5038607f, "sysfs_create_file_ns" },
	{ 0xeabeef59, "rpc_shutdown_client" },
	{ 0xbdcb9999, "fs_param_is_string" },
	{ 0x433e9c26, "folio_unlock" },
	{ 0x10555747, "mnt_set_expiry" },
	{ 0x4d17d10b, "param_ops_ushort" },
	{ 0x5a2d48d7, "lookup_one_len" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xf8104bda, "generic_file_splice_read" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x4952fb02, "rpc_clnt_show_stats" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xfaaebff6, "filemap_map_pages" },
	{ 0x589fce75, "__fscache_begin_read_operation" },
	{ 0x60132fed, "xdr_inline_decode" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x99fe1ec2, "trace_raw_output_prep" },
	{ 0x7b034a47, "kobject_rename" },
	{ 0xb1ecd95b, "security_sb_set_mnt_opts" },
	{ 0x5b5021fb, "init_special_inode" },
	{ 0x34b3709a, "unregister_filesystem" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x21351f36, "filemap_fdatawrite_range" },
	{ 0xc3da5dc9, "folio_wait_bit_killable" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x5e45efdb, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x2206b4ce, "d_make_root" },
	{ 0x9effa801, "trace_event_printf" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x16e80a3, "sync_filesystem" },
	{ 0x6d9ae681, "__fscache_unuse_cookie" },
	{ 0xb793a0fc, "folio_redirty_for_writepage" },
	{ 0xfbf9c4c9, "register_shrinker" },
	{ 0x752cc088, "sget_fc" },
	{ 0x87848cec, "d_splice_alias" },
	{ 0x773544ea, "generic_error_remove_page" },
	{ 0xba758756, "trace_event_raw_init" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x48b5f6f0, "unmap_mapping_range" },
	{ 0x2a8ea06a, "ihold" },
	{ 0x4b30dc83, "inode_dio_wait" },
	{ 0xc0a826fa, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0x7f0d923a, "invalidate_inode_pages2_range" },
	{ 0xd944224e, "read_cache_page" },
	{ 0x54065c71, "finish_open" },
	{ 0x5b0f134b, "iput" },
	{ 0xf2631fec, "kset_unregister" },
	{ 0x44657540, "security_sb_clone_mnt_opts" },
	{ 0xf2644887, "fs_param_is_enum" },
	{ 0xa603631c, "logfc" },
	{ 0x1a931900, "iter_file_splice_write" },
	{ 0x7476c1dc, "rpc_pton" },
	{ 0x38068798, "mod_node_page_state" },
	{ 0xeebdaf9, "rpc_wake_up_queued_task" },
	{ 0x7a826a9b, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x86d20b53, "remove_proc_subtree" },
	{ 0x15e748ae, "rpc_restart_call_prepare" },
	{ 0xb4a54491, "d_lookup" },
	{ 0x7600b430, "event_triggers_call" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x7141202b, "__module_get" },
	{ 0x32614bf7, "__fscache_relinquish_cookie" },
	{ 0x85e95900, "register_filesystem" },
	{ 0x4567969, "kmem_cache_create" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x525549d9, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xa2fc75e7, "trace_print_hex_seq" },
	{ 0xc24e1d4b, "mempool_free" },
	{ 0xbeefdf04, "filemap_add_folio" },
	{ 0xe50c9a55, "rpc_sleep_on" },
	{ 0x4456ff15, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe3cc59a5, "netfs_readahead" },
	{ 0x7e7808a2, "proc_create_net_data" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xfc0b1dc9, "d_prune_aliases" },
	{ 0x2a83fc24, "__put_cred" },
	{ 0xc3d3ebf, "register_pernet_subsys" },
	{ 0xdd1cafc8, "rpc_cancel_tasks" },
	{ 0xa4f91025, "trace_event_buffer_commit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x598bce3, "migrate_folio" },
	{ 0xb5d4198c, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x8a0ab7c6, "fs_param_is_u32" },
	{ 0x68375d5, "inode_newsize_ok" },
	{ 0x2adc03b, "d_drop" },
	{ 0x89e2680e, "deactivate_super" },
	{ 0xd3bd3a87, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xe9f53826, "mempool_create" },
	{ 0x1000e51, "schedule" },
	{ 0xabf19541, "security_sb_mnt_opts_compat" },
	{ 0xe50571c7, "param_get_uint" },
	{ 0xaa4d0f43, "vfs_parse_fs_string" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x67ce597c, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x938bc9a6, "trace_event_ignore_this_pid" },
	{ 0xbf09c92b, "make_kuid" },
	{ 0xdc3b86c4, "truncate_inode_pages_final" },
	{ 0xa7f08a38, "d_alloc" },
	{ 0x4259ce12, "fs_kobj" },
	{ 0x5749243e, "net_ns_type_operations" },
	{ 0x8c0313aa, "__filemap_set_wb_err" },
	{ 0xfd2e06de, "generic_file_mmap" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x98d88789, "generic_perform_write" },
	{ 0xdcc0242b, "__filemap_get_folio" },
	{ 0xfc725a04, "mempool_alloc" },
	{ 0x57bf7ab7, "unregister_shrinker" },
	{ 0x3029779d, "simple_nosetlease" },
	{ 0x13bc43d, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x4ac93673, "module_put" },
	{ 0x45f17fb6, "__var_waitqueue" },
	{ 0x604aa1e9, "rpc_setbufsize" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xddc0af5f, "fs_context_for_submount" },
	{ 0x26189f0, "inode_init_once" },
	{ 0x2f2344ea, "folio_wait_private_2" },
	{ 0xc76fb91b, "file_write_and_wait_range" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x10091bf0, "__fscache_relinquish_volume" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xe7b324b2, "ilookup5" },
	{ 0x2e62fd2c, "generic_parse_monolithic" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2edbb723, "inode_nohighmem" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4e4d6380, "perf_trace_run_bpf_submit" },
	{ 0xdebce8c3, "security_d_instantiate" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0xd2510a63, "up_write" },
	{ 0x7f5832af, "generic_file_read_iter" },
	{ 0x6468712a, "unlock_page" },
	{ 0x103df51b, "rpc_clone_client_set_auth" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x4dea1053, "memchr" },
	{ 0xbba748bc, "truncate_pagecache" },
	{ 0x5db26d7f, "put_fs_context" },
	{ 0xf6358bb3, "rpc_peeraddr2str" },
	{ 0xe8ba125d, "kmemdup_nul" },
	{ 0xba2aeef4, "kobj_sysfs_ops" },
	{ 0x5b745a3d, "xa_load" },
	{ 0xa95ab0ea, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0xf636d90a, "write_cache_pages" },
	{ 0xa96a40d3, "set_nlink" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x5d9c5da9, "kmem_cache_free" },
	{ 0xdd26aff, "rpc_max_payload" },
	{ 0x9f201894, "folio_alloc" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0x4a6f812b, "d_move" },
	{ 0x9544f3e4, "seq_putc" },
	{ 0x3fee9ad5, "rpc_proc_unregister" },
	{ 0xd3c93fd9, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x7de2fd3c, "vfs_create_mount" },
	{ 0x64db9a5, "mark_mounts_for_expiry" },
	{ 0xffc9571f, "folio_wait_writeback" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0xc98c80d, "nlmclnt_rpc_clnt" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x3f9a2b0b, "rpcauth_get_gssinfo" },
	{ 0x717ce81b, "kobject_init_and_add" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xfa8fb0ac, "write_inode_now" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xb08c238e, "d_obtain_alias" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xffbf5a41, "wait_for_completion_killable" },
	{ 0x9767cf62, "rpc_create" },
	{ 0x6fb822d4, "finish_no_open" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x7a1c1dd7, "__folio_start_writeback" },
	{ 0x8c4e8cf1, "d_obtain_root" },
	{ 0x2178f881, "bpf_trace_run1" },
	{ 0xd8c65c19, "param_ops_short" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x3136af79, "folio_end_writeback" },
	{ 0x3552052b, "rpc_call_sync" },
	{ 0x453434d8, "proc_mkdir" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x8b62d7cc, "rpc_put_task_async" },
	{ 0x8b42672f, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x50d680f, "xdr_init_decode_pages" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x86d52ba5, "lookup_constant" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xa64861af, "rpc_exit" },
	{ 0xe89e6d0c, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xe9a5c2cb, "d_delete" },
	{ 0x482a1ff0, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x99d0b155, "nfs_ssc_unregister" },
	{ 0xb9e92059, "rpc_killall_tasks" },
	{ 0x103bafd6, "down_read" },
	{ 0x44ca47d4, "xdr_reserve_space" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x7242e96d, "strnchr" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x76a4edf6, "iov_iter_get_pages_alloc2" },
	{ 0xa11f013f, "set_page_dirty" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xee3edee5, "bpf_trace_run3" },
	{ 0xce7192c7, "__put_net" },
	{ 0x85d14264, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x918328ea, "netfs_read_folio" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd2b8b42e, "generic_read_dir" },
	{ 0xd4df3f40, "kobject_del" },
	{ 0x21c0017, "trace_event_buffer_reserve" },
	{ 0xfb1c199b, "d_add" },
	{ 0x33fa677f, "rename_lock" },
	{ 0x85df9b6c, "strsep" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xfc00250b, "filemap_fdatawait_range" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0xbc0d9f17, "param_ops_bool" },
	{ 0x732dd326, "groups_free" },
	{ 0x68d5ca51, "security_inode_notifysecctx" },
	{ 0x357344db, "nfs_ssc_register" },
	{ 0x14681024, "init_user_ns" },
	{ 0x42ae6d99, "xa_find" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xe8d8db3b, "invalidate_inode_pages2" },
	{ 0x44cd4064, "alloc_pages" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x266294c, "mempool_destroy" },
	{ 0xe05b9a6a, "__folio_put" },
	{ 0x85e739f1, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa82b55bc, "seq_printf" },
	{ 0x961b6515, "dput" },
	{ 0x92a16af7, "lockref_get" },
	{ 0x4847af87, "rpc_init_wait_queue" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xcc0ca08b, "deactivate_locked_super" },
	{ 0xfe2f9aca, "put_rpccred" },
	{ 0xa4db2b8c, "__percpu_down_read" },
	{ 0x52fcbdd4, "__d_lookup_unhash_wake" },
	{ 0xe20e25b4, "kobject_uevent" },
	{ 0x8653d39f, "__fscache_invalidate" },
	{ 0xe2d0692, "folio_mapping" },
	{ 0x4e9e6a05, "downgrade_write" },
	{ 0x8a34ae0f, "cred_fscmp" },
	{ 0x4c5fdedd, "__folio_lock" },
	{ 0x476f511d, "filemap_dirty_folio" },
	{ 0x7b6a5a46, "pagecache_get_page" },
	{ 0xea973a7c, "is_bad_inode" },
	{ 0xd93dd3c3, "proc_dointvec" },
	{ 0x705720de, "seq_puts" },
	{ 0x2fbddf82, "__fscache_use_cookie" },
	{ 0xdada94ea, "rcuwait_wake_up" },
	{ 0xf834d482, "_proc_mkdir" },
	{ 0x29cb34d2, "node_data" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xfeb6589b, "seq_escape" },
	{ 0xeaeb41f0, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x84d57c7f, "__fs_parse" },
	{ 0x480fcc1c, "sysfs_create_link_nowarn" },
	{ 0xe61955e, "dget_parent" },
	{ 0x2db1db2, "nlmclnt_init" },
	{ 0x21867b1f, "kill_anon_super" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0x66c6e87e, "kmalloc_trace" },
	{ 0xb0d8c5c2, "iget5_locked" },
	{ 0xef66ebc2, "filemap_write_and_wait_range" },
	{ 0x65c5e63f, "kset_register" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x1a5ce31b, "nlmclnt_done" },
	{ 0xe607be61, "proc_symlink" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x64e956a0, "param_ops_int" },
	{ 0x71b89c6d, "netfs_subreq_terminated" },
	{ 0xd88dbbf4, "refcount_dec_and_lock" },
	{ 0x1ad561ee, "iov_iter_revert" },
	{ 0xd3a8bf9a, "generic_write_checks" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xef9d782e, "mntget" },
	{ 0xd1e074b1, "setattr_should_drop_sgid" },
	{ 0x349cba85, "strchr" },
	{ 0x996913cd, "kmem_cache_alloc_lru" },
	{ 0x3b369d9c, "filemap_fault" },
	{ 0x4ba4a2cb, "d_invalidate" },
	{ 0x3af62567, "__mark_inode_dirty" },
	{ 0x7eb13b0e, "generic_file_llseek" },
	{ 0xa46144c9, "folio_wait_private_2_killable" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xbfec9e8c, "rpc_wait_for_completion_task" },
	{ 0x82cf8612, "set_anon_super" },
	{ 0x312bd30e, "drop_nlink" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x1377c04b, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x94720c56, "kmem_cache_destroy" },
	{ 0xbf96e1f1, "__fscache_acquire_cookie" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x58ba25a3, "kobject_put" },
	{ 0x131638cd, "vfs_get_tree" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x92639d5f, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,fscache,netfs,lockd");


MODULE_INFO(srcversion, "6E3147B27A704104042BEF4");
MODULE_INFO(rhelversion, "9.7");
