#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tipc_nl_sk_walk, "", "");
KSYMTAB_FUNC(tipc_dump_start, "", "");
KSYMTAB_FUNC(tipc_dump_done, "", "");
KSYMTAB_FUNC(tipc_sk_fill_sock_diag, "", "");

SYMBOL_CRC(tipc_nl_sk_walk, 0xb6426614, "");
SYMBOL_CRC(tipc_dump_start, 0xe84d6446, "");
SYMBOL_CRC(tipc_dump_done, 0x8198c40f, "");
SYMBOL_CRC(tipc_sk_fill_sock_diag, 0xaf4e053c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x39a94eae, "netlink_net_capable" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x15b49bac, "vscnprintf" },
	{ 0x8f1abd7c, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xf66ce49, "bpf_trace_run4" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x9475829f, "__nlmsg_put" },
	{ 0x3761d215, "idr_find" },
	{ 0x60365ed1, "skb_put" },
	{ 0xa23238a3, "register_net_sysctl" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x1e501d6d, "ip6_dst_hoplimit" },
	{ 0x5035485b, "trace_output_call" },
	{ 0x6b4becca, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xfd0a1b3, "dev_add_pack" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x99fe1ec2, "trace_raw_output_prep" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x691085a9, "udp_sock_create4" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9effa801, "trace_event_printf" },
	{ 0xbef53f33, "scnprintf" },
	{ 0xd9a885d3, "__ip_dev_find" },
	{ 0x38ea46ef, "dst_cache_set_ip4" },
	{ 0x7855fff4, "udp_tunnel6_xmit_skb" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x6ee9feb7, "genlmsg_put" },
	{ 0x6577a1a1, "___pskb_trim" },
	{ 0xba758756, "trace_event_raw_init" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x64c3ad06, "rhashtable_init" },
	{ 0x64f91a17, "crypto_alloc_aead" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x86773c78, "netdev_warn" },
	{ 0xd686e170, "crypto_aead_setauthsize" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x36573965, "crypto_aead_decrypt" },
	{ 0x7600b430, "event_triggers_call" },
	{ 0xa80f7d23, "kernel_accept" },
	{ 0x7141202b, "__module_get" },
	{ 0x69eebd08, "ip_route_output_flow" },
	{ 0xea066330, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x9e5db0bc, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe0ee6c14, "pskb_expand_head" },
	{ 0xc3d3ebf, "register_pernet_subsys" },
	{ 0x467603d2, "put_cmsg" },
	{ 0xd8a68735, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xa4f91025, "trace_event_buffer_commit" },
	{ 0xe6aa6d1f, "crypto_destroy_tfm" },
	{ 0x580f0750, "eth_type_trans" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x4b447f3b, "proto_unregister" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0xd3683e6e, "sock_register" },
	{ 0x3e9a433d, "ipv6_dev_find" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x938bc9a6, "trace_event_ignore_this_pid" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x206f846f, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x9df1a9d2, "sk_reset_timer" },
	{ 0x9f984513, "strrchr" },
	{ 0xf08343bb, "skb_try_coalesce" },
	{ 0xd66f8e7a, "proto_register" },
	{ 0xb3a85a00, "skb_copy_expand" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x4f91fd51, "__wake_up_sync_key" },
	{ 0x2ee2302c, "skb_queue_tail" },
	{ 0x4ac93673, "module_put" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x800473f, "__cond_resched" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x5ea31004, "arch_spin_trylock_retry" },
	{ 0xdc437adf, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xbadf8cc7, "__dev_get_by_index" },
	{ 0x4e4d6380, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x55b3d3a3, "__traceiter_sk_data_ready" },
	{ 0x3b829d7, "init_net" },
	{ 0xdbf5090b, "ipv6_stub" },
	{ 0xb49409cf, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x4dea1053, "memchr" },
	{ 0x1f0cda71, "crypto_aead_encrypt" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xe5785bf1, "sk_skb_reason_drop" },
	{ 0x8df53326, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x3fbb63ab, "dev_remove_pack" },
	{ 0xb79be153, "sk_free" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xa6343e19, "kernel_sock_shutdown" },
	{ 0xa494b421, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x79f1e108, "skb_push" },
	{ 0xc4b8b375, "dst_cache_get" },
	{ 0x32c27dc4, "sock_no_listen" },
	{ 0xf00a075f, "nla_put" },
	{ 0x8e73ebce, "proc_doulongvec_minmax" },
	{ 0xd3c93fd9, "trace_event_reg" },
	{ 0xad4aee39, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x81ec0ecd, "iov_iter_kvec" },
	{ 0x2db96b69, "ip_mc_join_group" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xff8cbf4b, "rhashtable_walk_start_check" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xbf95db22, "unregister_pernet_device" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x9f1e221f, "kmalloc_large" },
	{ 0x157864b6, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc8b9b3fb, "skb_copy_datagram_iter" },
	{ 0x4eedd6f3, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x57bc8f2b, "sk_alloc" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x8b42672f, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x6df9e417, "kfree_skb_partial" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0xb1d08fd6, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6ff607b6, "crypto_get_default_rng" },
	{ 0x46920d4b, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x4c22392f, "__pskb_pull_tail" },
	{ 0x6bd7bdee, "sock_no_sendpage" },
	{ 0x43f09568, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x668402aa, "crypto_put_default_rng" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0x23f31cfc, "setup_udp_tunnel_sock" },
	{ 0x7555a3b2, "udp_sock_create6" },
	{ 0x1ddb0bdc, "skb_trim" },
	{ 0x3308c792, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xee3edee5, "bpf_trace_run3" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xabce565e, "sock_rfree" },
	{ 0xc7fd9eb7, "sock_i_ino" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xdfed140, "kernel_listen" },
	{ 0x2fd372, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x21c0017, "trace_event_buffer_reserve" },
	{ 0xbc0becfc, "dev_nit_active" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x2ff1c51c, "sock_create_kern" },
	{ 0xbb9d0dc5, "bin2hex" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x813af844, "dst_cache_set_ip6" },
	{ 0x26ebac09, "pskb_put" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0xe35fb609, "kmemdup" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x24da237b, "udp_tunnel_xmit_skb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x7f49db3c, "sock_recvmsg" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb413021d, "skb_copy" },
	{ 0xe5cc303, "skb_clone" },
	{ 0xb530fa2d, "dev_get_by_name" },
	{ 0xf6cf33be, "_copy_from_iter" },
	{ 0x4bf5ef49, "sock_release" },
	{ 0x6f20e8a0, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0xc045988c, "rhashtable_walk_next" },
	{ 0x6e9de231, "crypto_default_rng" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x72aba0c3, "sk_stop_timer" },
	{ 0x5080ca5d, "unregister_net_sysctl_table" },
	{ 0xf98c0899, "genl_unregister_family" },
	{ 0xed64efe, "from_kuid_munged" },
	{ 0x66c6e87e, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x1ad561ee, "iov_iter_revert" },
	{ 0x349cba85, "strchr" },
	{ 0x68347e7, "genl_register_family" },
	{ 0x13a48992, "kernel_sendmsg" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0xeedbc82f, "skb_to_sgvec" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x28d0285c, "rhashtable_walk_exit" },
	{ 0x38ea82b2, "register_pernet_device" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x13935ec, "sock_init_data" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x1377c04b, "kmalloc_caches" },
	{ 0x79577727, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc84fddf6, "proc_dointvec_minmax" },
	{ 0x92639d5f, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "FEE4255C18D57CD1F1F3394");
MODULE_INFO(rhelversion, "9.7");
